<?php
/**
 * Controller to handling save setting
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPSwb_Ajax_Setting' ))
{
  class IPSwb_Ajax_Setting
  {
    /**
     * Execution save setting
     *
     * @return void
     */
    public function exec()
    {
      $error = false;
      if ( ! empty( $_POST['result_base_path'] )) {
        $path = sanitize_title( $_POST['result_base_path'] );
        update_option( '__ipswb_base_path', $path );
      }
      if ( isset( $_POST['general_widget'] )) {
        $widgetId = absint( $_POST['general_widget'] );
        update_option( '__ipswb_general_widget', $widgetId );
      }
      if ( isset( $_POST['home_widget'] )) {
        $widgetId = absint( $_POST['home_widget'] );
        update_option( '__ipswb_home_widget', $widgetId );
      }

      if ( $error ) {
          $status = 0;
          $msg    = __( 'Failed save settings.', IPSWB_SLUG );
      } else {
          $status = 1;
          $msg    = __( 'Successfully updated settings.', IPSWB_SLUG );
      }
      echo json_encode( array(
          'status'    => $status,
          'message'   => $msg
      ) );
      die();
    }
  }
}
