<?php
/**
 * Controller to handling updating box process
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPSwb_Ajax_Update_box' ))
{
	class IPSwb_Ajax_Update_box
	{
		/**
		 * Execution save options process
		 *
		 * @return void
		 */
		public function exec()
		{
			$redirect = false;
			$is_add   = false;
			$error    = true;

			$slideId = 0;
			if ( ! empty( $_GET['slide_id'] )) {
				$slideId = absint( $_GET['slide_id'] );
			}
			if ( ! empty( $slideId ))
			{
				if ( ! empty( $_POST['isadd'] )) {
						$is_add = true;
				}
				if ( ! empty( $_POST['box_id'] )) {
						$boxId = absint( $_POST['box_id'] );
						if ( $box = get_post( $boxId ) ) {
								$this->_updateBox( $box );
						} else {
								$boxId = 0;
						}
				} else {
						$boxId = $this->_addBox( $slideId );
				}
				if ( $boxId )
				{
						$error = false;
						$model = new IPSwb_Model_Box();
						$model->saveSetting( $boxId, $slideId );
				}
			}
			if ( $error ) {
					$status = 0;
					$boxId  = 0;
					if ( $is_add ) {
							$message = __( 'Failed create box.', IPSWB_SLUG );
					} else {
							$message = __( 'Failed save box.', IPSWB_SLUG );
					}
			} else {
					$status = 1;
					if ( $is_add ) 
					{
						$message  = __( 'Successfully created box.', IPSWB_SLUG );
						$redirect = admin_url() . 'admin.php?page=' . IPSWB_PAGENAME . '&action=edit&id=' . $slideId . '&createbox=1&tab=ipswb-section-items';
					} else {
							$message = __( 'Successfully saved box.', IPSWB_SLUG );
					}
			}

			$result = array(
					'status'    => $status,
					'message'   => $message,
					'boxid'  	  => $boxId
			);
			if ( $redirect ) {
					$result['redirect'] = $redirect;
			}
			echo json_encode( $result );
			die();
		}

		/**
		 * Add new box
		 *
     * @param  int $sliderId
		 * @return int
		 */
		protected function _addBox( $slideId )
		{
			global $user_ID;

			if ( empty( $_POST['box_title'] )) {
					$title = 'Unknown';
			} else {
					$title = apply_filters( 'single_post_title', $_POST['box_title'] );
			}

			$dataPost = array(
				'post_status'  => 'publish',
				'post_type'    => 'ipswb_box',
				'post_author'  => $user_ID,
				'post_title'   => $title,
				'post_parent'  => $slideId
			);
			if ( ! empty( $_POST['box_content'] )) {
				$dataPost['post_content'] = $_POST['box_content'];
			}
			if ( ! empty( $_POST['box_excerpt'] )) {
				$dataPost['post_excerpt'] = $_POST['box_excerpt'];
			}
			$result = wp_insert_post( $dataPost );
			return $result;
		}

		/**
		 * Update box
		 *
		 * @param  object $box
		 * @return boolean
		 */
		protected function _updateBox( $box )
		{
			$result   = 0;
			$dataPost = array();
			if ( ! empty( $_POST['box_title'] ) && $_POST['box_title'] != $box->post_title ) {
					$dataPost['post_title'] = apply_filters( 'single_post_title', $_POST['box_title'] );
			}
			if ( ! empty( $_POST['box_content'] ) 
					 && $_POST['box_content'] != $box->post_content 
			) {
				$dataPost['post_content'] = $_POST['box_content'];
			}
			if ( ! empty( $_POST['box_excerpt'] ) 
					 && $_POST['box_excerpt'] != $box->post_excerpt
			) {
				$dataPost['post_excerpt'] = $_POST['box_excerpt'];
			}

			if ( ! empty( $dataPost )) {
					$dataPost['ID'] = $box->ID;
					$result = wp_update_post( $dataPost );
			}
			return $result;
		}
	}
}
