<?php
if ( ! class_exists( 'IPSwb_Factory_Page' ))
{
  /**
   * Widget factory class
   *
   * @package wp-slideshow-master
   * @author InstaProduct
   * @link http://insta-product.com/
   */

  class IPSwb_Factory_Page extends IPSwb_Factory
  {
    //{{ __construct

    /**
     * Class constructor
     *
     * @return void
     */
    public function __construct()
    {
    }

    //}}
    //{{ render

    /**
     * Render page
     *
     * @return string
     */
    public function render()
    {
      global $wp_query, $user_ID;

      if ( ( isset( $wp_query->query['ipswb'] ) 
             && isset( $wp_query->query['box_name'] )
            ) 
           || isset( $wp_query->query['box_id'] ) 
      ) {
        $page    = $wp_query->post;
        $setting = new IPSwb_Setting( $page->ID, '__ipswb_box_setting' );

        //
        //Check style
        $styleId  = 0;
        $parentId = wp_get_post_parent_id( $page->ID );
        if ( $parentId )
        {
          $parent   = get_post( $parentId );
          $psetting = new IPSwb_Setting( $parent->ID, '__ipswb_boxes_setting' );
          $styleId  = $psetting->getSetting( 'style' );
        }

        if ( $page->post_status == 'publish' )
        {
          $styleSetting = new IPSwb_Setting( $styleId, '__ipswb_style_setting' );

          $this->query     = $wp_query;
          $this->setting   = $setting;
          $this->page      = $page;
          $this->box       = $page;
          $this->cssurl    = IPSWB_BASE_URL . 'assets/css/';
          $this->jsurl     = IPSWB_BASE_URL . 'assets/js/';
          $this->imgurl    = IPSWB_BASE_URL . 'assets/img/';
          $this->permalink = $this->_getPermalink( $page );
          $this->pageTitle = $page->post_title;
          $this->styleSetting = $styleSetting;

          //Render view
          $this->view( 'front/page/main' );
          exit;
        }
        else
        {
          $query->query_vars['post_type'] = 'ipswb-item-nothing';
        }
      }
    }

    //}}
    //{{ _getPermalink

    /**
     * Get page permalink
     *
     * @param object $page
     * @return void
     */
    protected function _getPermalink( $page )
    {
      if ( get_option( 'permalink_structure' ) )  {
        $base = get_option( '__ipswb_base_path', 'box-page' );
        $link = get_home_url() . "/$base/" . $page->post_name;
      } else {
        $link = get_home_url() . '/?box_id=' . $page->ID;
      }
      return $link;
    }

    //}}
  }
}
