<?php
/**
 * Class model
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPSwb_Model' )) {

  /**
   * Class for manage post setting
   */
  class IPSwb_Model
  {
    /**
     * Save setting style
     *
     * @param  int $styleId
     * @return void
     */
    public function saveSetting( $styleId )
    {
      $styleId  = absint( $styleId );
      $data     = $this->_getSettingData();
      $setting  = new IPSwb_Setting( $styleId, '__ipswb_boxes_setting' );
      $result   = $setting->setSettings( $data );
      return $result;
    }

    /**
     * Get setting data
     *
     * @return array
     */
    protected function _getSettingData()
    {
      $setting = array();
      $data    = array_merge( $_POST, $_GET );

      //
      //
      // General
      //
      if ( isset( $data['style'] )) {
        $setting['style'] = apply_filters( 'pre_term_name', $data['style'] );
      }
      if ( isset( $data['status'] )) {
        $setting['status'] = apply_filters( 'pre_term_name', $data['status'] );
      }
      if ( isset( $data['restricted'] )) {
        $setting['restricted'] = apply_filters( 'pre_term_name', $data['restricted'] );
      }

      //
      //
      // Promo
      //
      if ( isset( $data['promo_slideshow'] )) {
        $setting['promo_slideshow'] = absint( $data['promo_slideshow'] );
      }
      if ( isset( $data['promo_start_date'] )) {
        $setting['promo_start_date'] = 
          apply_filters( 'single_post_title', $data['promo_start_date'] );
      }
      if ( isset( $data['promo_start_time'] )) {
        $setting['promo_start_time'] = 
          apply_filters( 'single_post_title', $data['promo_start_time'] );
      }
      if ( isset( $data['promo_end_date'] )) {
        $setting['promo_end_date'] = 
          apply_filters( 'single_post_title', $data['promo_end_date'] );
      }
      if ( isset( $data['promo_end_time'] )) {
        $setting['promo_end_time'] = 
          apply_filters( 'single_post_title', $data['promo_end_time'] );
      }

      return $setting;
    }
  }
}
?>
