<?php
/**
 * Class model
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPSwb_Model_Style' )) {

  /**
   * Class for manage post setting
   */
  class IPSwb_Model_Style
  {
    /**
     * Save setting style
     *
     * @param  int $styleId
     * @return void
     */
    public function saveSetting( $styleId )
    {
      $styleId  = absint( $styleId );
      $data     = $this->_getSettingData();
      $setting  = new IPSwb_Setting( $styleId, '__ipswb_style_setting' );
      $result   = $setting->setSettings( $data );
      return $result;
    }

    /**
     * Get setting data
     *
     * @return array
     */
    protected function _getSettingData()
    {
      $setting = array();
      $data    = array_merge( $_POST, $_GET );

      //
      //
      // General
      //
      if ( isset( $data['slideshow_layout'] )) {
        $setting['slideshow_layout'] = 
          apply_filters( 'pre_term_name', $data['slideshow_layout'] );
      }
      if ( isset( $data['box_layout_horizontal'] )) {
        $setting['box_layout_horizontal'] = 
          apply_filters( 'pre_term_name', $data['box_layout_horizontal'] );
      }
      if ( isset( $data['box_layout_vertical'] )) {
        $setting['box_layout_vertical'] = 
          apply_filters( 'pre_term_name', $data['box_layout_vertical'] );
      }
      if ( isset( $data['item_count'] )) {
        $setting['item_count'] = absint( $data['item_count'] );
      }

      //
      //
      // Block Design
      //
      if ( isset( $data['block_background_color'] )) {
        $setting['block_background_color'] = 
          apply_filters( 'single_post_title', $data['block_background_color'] );
      }
      if ( isset( $data['block_background_image'] )) {
        $setting['block_background_image'] = absint( $data['block_background_image'] );
      }
      if ( isset( $data['block_background_repeat'] )) {
        $setting['block_background_repeat'] = 
          apply_filters( 'pre_term_name', $data['block_background_repeat'] );
      }
      if ( isset( $data['block_background_opacity'] )) {
        $setting['block_background_opacity'] = 
          apply_filters( 'pre_term_name', $data['block_background_opacity'] );
      }
      if ( isset( $data['block_border_color'] )) {
        $setting['block_border_color'] = 
          apply_filters( 'pre_term_name', $data['block_border_color'] );
      }
      if ( isset( $data['block_border_width'] )) {
        $setting['block_border_width'] = absint( $data['block_border_width'] );
      }
      if ( isset( $data['block_border_radius'] )) {
        $setting['block_border_radius'] = 
          apply_filters( 'pre_term_name', $data['block_border_radius'] );
      }
      if ( isset( $data['block_shadow'] )) {
        $setting['block_shadow'] = 
          apply_filters( 'pre_term_name', $data['block_shadow'] );
      }
      if ( isset( $data['block_padding'] )) {
        $setting['block_padding'] = absint( $data['block_padding'] );
      }
      if ( isset( $data['block_margin_top'] )) {
        $setting['block_margin_top'] = absint( $data['block_margin_top'] );
      }
      if ( isset( $data['block_margin_bottom'] )) {
        $setting['block_margin_bottom'] = absint( $data['block_margin_bottom'] );
      }

      //
      //
      // Box Design
      //
      if ( isset( $data['box_height'] )) {
        $setting['box_height'] = absint( $data['box_height'] );
      }
      if ( isset( $data['box_background_color'] )) {
        $setting['box_background_color'] = 
          apply_filters( 'single_post_title', $data['box_background_color'] );
      }
      if ( isset( $data['box_background_image'] )) {
        $setting['box_background_image'] = absint( $data['box_background_image'] );
      }
      if ( isset( $data['box_background_repeat'] )) {
        $setting['box_background_repeat'] = 
          apply_filters( 'pre_term_name', $data['box_background_repeat'] );
      }
      if ( isset( $data['box_background_opacity'] )) {
        $setting['box_background_opacity'] = 
          apply_filters( 'pre_term_name', $data['box_background_opacity'] );
      }
      if ( isset( $data['box_border_color'] )) {
        $setting['box_border_color'] = 
          apply_filters( 'pre_term_name', $data['box_border_color'] );
      }
      if ( isset( $data['box_border_width'] )) {
        $setting['box_border_width'] = absint( $data['box_border_width'] );
      }
      if ( isset( $data['box_border_radius'] )) {
        $setting['box_border_radius'] = 
          apply_filters( 'pre_term_name', $data['box_border_radius'] );
      }
      if ( isset( $data['box_shadow'] )) {
        $setting['box_shadow'] = 
          apply_filters( 'pre_term_name', $data['box_shadow'] );
      }

      //
      //
      // Content
      //
      if ( isset( $data['show_content'] )) {
        $setting['show_content'] = 
          apply_filters( 'pre_term_name', $data['show_content'] );
      }
      if ( isset( $data['content_padding'] )) {
        $setting['content_padding'] = absint( $data['content_padding'] );
      }
      if ( isset( $data['content_height'] )) {
        $setting['content_height'] = absint( $data['content_height'] );
      }
      if ( isset( $data['show_content_title'] )) {
        $setting['show_content_title'] = 
          apply_filters( 'pre_term_name', $data['show_content_title'] );
      }
      if ( isset( $data['title_text_color'] )) {
        $setting['title_text_color'] = 
          apply_filters( 'single_post_title', $data['title_text_color'] );
      }
      if ( isset( $data['title_font_family'] )) {
        $setting['title_font_family'] = 
          apply_filters( 'pre_term_name', $data['title_font_family'] );
      }
      if ( isset( $data['title_font_size'] )) {
        $setting['title_font_size'] = absint( $data['title_font_size'] );
      }
      if ( isset( $data['title_max_length'] )) {
        $setting['title_max_length'] = absint( $data['title_max_length'] );
      }
      if ( isset( $data['show_content_desc'] )) {
        $setting['show_content_desc'] = 
          apply_filters( 'pre_term_name', $data['show_content_desc'] );
      }
      if ( isset( $data['desc_text_color'] )) {
        $setting['desc_text_color'] = 
          apply_filters( 'single_post_title', $data['desc_text_color'] );
      }
      if ( isset( $data['desc_font_family'] )) {
        $setting['desc_font_family'] = 
          apply_filters( 'pre_term_name', $data['desc_font_family'] );
      }
      if ( isset( $data['desc_font_size'] )) {
        $setting['desc_font_size'] = absint( $data['desc_font_size'] );
      }
      if ( isset( $data['desc_max_length'] )) {
        $setting['desc_max_length'] = absint( $data['desc_max_length'] );
      }
      if ( isset( $data['content_detail_overlay'] )) {
        $setting['content_detail_overlay'] = 
          apply_filters( 'pre_term_name', $data['content_detail_overlay'] );
      }
      if ( isset( $data['content_detail_overlay_color'] )) {
        $setting['content_detail_overlay_color'] = 
          apply_filters( 'single_post_title', $data['content_detail_overlay_color'] );
      }
      if ( isset( $data['content_detail_overlay_opacity'] )) {
        $setting['content_detail_overlay_opacity'] = 
          apply_filters( 'pre_term_name', $data['content_detail_overlay_opacity'] );
      }
      if ( isset( $data['content_detail_position'] )) {
        $setting['content_detail_position'] = 
          apply_filters( 'pre_term_name', $data['content_detail_position'] );
      }
      if ( isset( $data['content_detail_animation'] )) {
        $setting['content_detail_animation'] = 
          apply_filters( 'pre_term_name', $data['content_detail_animation'] );
      }
      if ( isset( $data['content_detail_audio'] )) {
        $setting['content_detail_audio'] = 
          apply_filters( 'pre_term_name', $data['content_detail_audio'] );
      }
      if ( isset( $data['content_detail_close_color'] )) {
        $setting['content_detail_close_color'] = 
          apply_filters( 'single_post_title', $data['content_detail_close_color'] );
      }
      if ( isset( $data['content_detail_bgcolor'] )) {
        $setting['content_detail_bgcolor'] = 
          apply_filters( 'single_post_title', $data['content_detail_bgcolor'] );
      }
      if ( isset( $data['content_detail_border_color'] )) {
        $setting['content_detail_border_color'] = 
          apply_filters( 'single_post_title', $data['content_detail_border_color'] );
      }
      if ( isset( $data['content_detail_border_width'] )) {
        $setting['content_detail_border_width'] = 
          absint( $data['content_detail_border_width'] );
      }
      if ( isset( $data['content_detail_border_radius'] )) {
        $setting['content_detail_border_radius'] = 
          apply_filters( 'pre_term_name', $data['content_detail_border_radius'] );
      }

      //
      //
      // Media
      //
      if ( isset( $data['media_width'] )) {
        $setting['media_width'] = absint( $data['media_width'] );
      }
      if ( isset( $data['media_height'] )) {
        $setting['media_height'] = absint( $data['media_height'] );
      }
      if ( isset( $data['media_shrink'] )) {
        $setting['media_shrink'] = 
          apply_filters( 'pre_term_name', $data['media_shrink'] );
      }
      if ( isset( $data['media_icon_size'] )) {
        $setting['media_icon_size'] = 
          apply_filters( 'pre_term_name', $data['media_icon_size'] );
      }
      if ( isset( $data['media_icon_color'] )) {
        $setting['media_icon_color'] = 
          apply_filters( 'single_post_title', $data['media_icon_color'] );
      }
      if ( isset( $data['media_hover_overlay_color'] )) {
        $setting['media_hover_overlay_color'] = 
          apply_filters( 'single_post_title', $data['media_hover_overlay_color'] );
      }
      if ( isset( $data['media_hover_overlay_opacity'] )) {
        $setting['media_hover_overlay_opacity'] = 
          apply_filters( 'pre_term_name', $data['media_hover_overlay_opacity'] );
      }
      if ( isset( $data['media_hover_animation'] )) {
        $setting['media_hover_animation'] = 
          apply_filters( 'pre_term_name', $data['media_hover_animation'] );
      }
      if ( isset( $data['media_hover_icon_size'] )) {
        $setting['media_hover_icon_size'] = 
          apply_filters( 'pre_term_name', $data['media_hover_icon_size'] );
      }
      if ( isset( $data['media_detail_width'] )) {
        $setting['media_detail_width'] = absint( $data['media_detail_width'] );
      }
      if ( isset( $data['media_detail_height'] )) {
        $setting['media_detail_height'] = absint( $data['media_detail_height'] );
      }
      if ( isset( $data['media_detail_overlay_color'] )) {
        $setting['media_detail_overlay_color'] = 
          apply_filters( 'single_post_title', $data['media_detail_overlay_color'] );
      }
      if ( isset( $data['media_detail_overlay_opacity'] )) {
        $setting['media_detail_overlay_opacity'] = 
          apply_filters( 'pre_term_name', $data['media_detail_overlay_opacity'] );
      }
      if ( isset( $data['media_detail_animation'] )) {
        $setting['media_detail_animation'] = 
          apply_filters( 'pre_term_name', $data['media_detail_animation'] );
      }
      if ( isset( $data['media_click_audio'] )) {
        $setting['media_click_audio'] = 
          apply_filters( 'pre_term_name', $data['media_click_audio'] );
      }
      if ( isset( $data['media_detail_close_color'] )) {
        $setting['media_detail_close_color'] = 
          apply_filters( 'single_post_title', $data['media_detail_close_color'] );
      }

      //
      //
      // Footer
      //
      if ( isset( $data['show_footer'] )) {
        $setting['show_footer'] = 
          apply_filters( 'pre_term_name', $data['show_footer'] );
      }
      if ( isset( $data['footer_height'] )) {
        $setting['footer_height'] = absint( $data['footer_height'] );
      }
      if ( isset( $data['footer_background_color'] )) {
        $setting['footer_background_color'] = 
          apply_filters( 'single_post_title', $data['footer_background_color'] );
      }
      if ( isset( $data['footer_top_border_color'] )) {
        $setting['footer_top_border_color'] = 
          apply_filters( 'single_post_title', $data['footer_top_border_color'] );
      }
      if ( isset( $data['footer_top_border_width'] )) {
        $setting['footer_top_border_width'] = absint( $data['footer_top_border_width'] );
      }
      if ( isset( $data['footer_font_family'] )) {
        $setting['footer_font_family'] = 
          apply_filters( 'pre_term_name', $data['footer_font_family'] );
      }
      if ( isset( $data['footer_font_size'] )) {
        $setting['footer_font_size'] = absint( $data['footer_font_size'] );
      }
      if ( isset( $data['button_action_bgcolor'] )) {
        $setting['button_action_bgcolor'] = 
          apply_filters( 'single_post_title', $data['button_action_bgcolor'] );
      }
      if ( isset( $data['button_action_color'] )) {
        $setting['button_action_color'] = 
          apply_filters( 'single_post_title', $data['button_action_color'] );
      }
      if ( isset( $data['button_action_hover_color'] )) {
        $setting['button_action_hover_color'] = 
          apply_filters( 'single_post_title', $data['button_action_hover_color'] );
      }
      if ( isset( $data['button_action_border_width'] )) {
        $setting['button_action_border_width'] = absint( $data['button_action_border_width'] );
      }
      if ( isset( $data['button_action_border_color'] )) {
        $setting['button_action_border_color'] = 
          apply_filters( 'single_post_title', $data['button_action_border_color'] );
      }
      if ( isset( $data['show_footer_date_info'] )) {
        $setting['show_footer_date_info'] = 
          apply_filters( 'pre_term_name', $data['show_footer_date_info'] );
      }
      if ( isset( $data['show_footer_button_detail'] )) {
        $setting['show_footer_button_detail'] = 
          apply_filters( 'pre_term_name', $data['show_footer_button_detail'] );
      }
      if ( isset( $data['show_footer_button_media'] )) {
        $setting['show_footer_button_media'] = 
          apply_filters( 'pre_term_name', $data['show_footer_button_media'] );
      }
      if ( isset( $data['show_footer_share'] )) {
        $setting['show_footer_share'] = 
          apply_filters( 'pre_term_name', $data['show_footer_share'] );
      }
      if ( isset( $data['share_facebook'] )) {
        $setting['share_facebook'] = 
          apply_filters( 'pre_term_name', $data['share_facebook'] );
      }
      if ( isset( $data['share_twitter'] )) {
        $setting['share_twitter'] = 
          apply_filters( 'pre_term_name', $data['share_twitter'] );
      }
      if ( isset( $data['share_googleplus'] )) {
        $setting['share_googleplus'] = 
          apply_filters( 'pre_term_name', $data['share_googleplus'] );
      }
      if ( isset( $data['share_linkedin'] )) {
        $setting['share_linkedin'] = 
          apply_filters( 'pre_term_name', $data['share_linkedin'] );
      }
      if ( isset( $data['share_tumblr'] )) {
        $setting['share_tumblr'] = 
          apply_filters( 'pre_term_name', $data['share_tumblr'] );
      }
      if ( isset( $data['share_stumbleupon'] )) {
        $setting['share_stumbleupon'] = 
          apply_filters( 'pre_term_name', $data['share_stumbleupon'] );
      }

      //
      //
      // Slider
      //
      if ( isset( $data['slider_autoplay'] )) {
        $setting['slider_autoplay'] = 
          apply_filters( 'pre_term_name', $data['slider_autoplay'] );
      }
      if ( isset( $data['slider_hover_pause'] )) {
        $setting['slider_hover_pause'] = 
          apply_filters( 'pre_term_name', $data['slider_hover_pause'] );
      }
      if ( isset( $data['slider_resume_closing'] )) {
        $setting['slider_resume_closing'] = 
          apply_filters( 'pre_term_name', $data['slider_resume_closing'] );
      }
      if ( isset( $data['slider_direction'] )) {
        $setting['slider_direction'] = 
          apply_filters( 'pre_term_name', $data['slider_direction'] );
      }
      if ( isset( $data['slider_paging'] )) {
        $setting['slider_paging'] = 
          apply_filters( 'pre_term_name', $data['slider_paging'] );
      }
      if ( isset( $data['slideshow_speed'] )) {
        $setting['slideshow_speed'] = absint( $data['slideshow_speed'] );
      }
      if ( isset( $data['slider_animation_speed'] )) {
        $setting['slider_animation_speed'] = absint( $data['slider_animation_speed'] );
      }

      if ( isset( $data['slider_dir_shape'] )) {
        $setting['slider_dir_shape'] = 
          apply_filters( 'pre_term_name', $data['slider_dir_shape'] );
      }
      if ( isset( $data['slider_dir_size'] )) {
        $setting['slider_dir_size'] = 
          apply_filters( 'pre_term_name', $data['slider_dir_size'] );
      }
      if ( isset( $data['slider_dir_bgcolor'] )) {
        $setting['slider_dir_bgcolor'] = 
          apply_filters( 'single_post_title', $data['slider_dir_bgcolor'] );
      }
      if ( isset( $data['slider_dir_icon_color'] )) {
        $setting['slider_dir_icon_color'] = 
          apply_filters( 'single_post_title', $data['slider_dir_icon_color'] );
      }
      if ( isset( $data['slider_dir_border_color'] )) {
        $setting['slider_dir_border_color'] = 
          apply_filters( 'single_post_title', $data['slider_dir_border_color'] );
      }
      if ( isset( $data['slider_dir_border_width'] )) {
        $setting['slider_dir_border_width'] = absint( $data['slider_dir_border_width'] );
      }

      if ( isset( $data['paging_shape'] )) {
        $setting['paging_shape'] = 
          apply_filters( 'pre_term_name', $data['paging_shape'] );
      }
      if ( isset( $data['paging_size'] )) {
        $setting['paging_size'] = 
          apply_filters( 'pre_term_name', $data['paging_size'] );
      }
      if ( isset( $data['paging_align'] )) {
        $setting['paging_align'] = 
          apply_filters( 'pre_term_name', $data['paging_align'] );
      }
      if ( isset( $data['paging_bgcolor'] )) {
        $setting['paging_bgcolor'] = 
          apply_filters( 'single_post_title', $data['paging_bgcolor'] );
      }
      if ( isset( $data['paging_active_bgcolor'] )) {
        $setting['paging_active_bgcolor'] = 
          apply_filters( 'single_post_title', $data['paging_active_bgcolor'] );
      }
      if ( isset( $data['paging_border_color'] )) {
        $setting['paging_border_color'] = 
          apply_filters( 'single_post_title', $data['paging_border_color'] );
      }
      if ( isset( $data['paging_border_width'] )) {
        $setting['paging_border_width'] = absint( $data['paging_border_width'] );
      }
      if ( isset( $data['paging_active_border_color'] )) {
        $setting['paging_active_border_color'] = 
          apply_filters( 'single_post_title', $data['paging_active_border_color'] );
      }

      return $setting;
    }
  }
}
?>
