<?php
/**
* Manage box content view
*
* @package wp-slideshow-master
* @author InstaProduct
* @link http://insta-product.com/
*/
?>

<!-- start: .ipswb-fields -->
<div class="ipswb-fields">

  <?php
  /*
   * Title
   */
  ?>
  <!-- start: .ipswb-field-row -->
  <div class="ipswb-field-row ipswb-field-x ipswb-help-abs">
    <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
      <label for="input-box-title"><?php _e( 'Title', IPSWB_SLUG ); ?></label>
    </div>

    <!-- start: .ipswb-field -->
    <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
      <?php
      $title = '';
      if ( $this->box ) {
        $title = stripslashes( $this->box->post_title );
      }
      ?>
      <input type="text" id="input-box-title" class="ipswb-input ipswb-input-full" name="box_title" value="<?php echo $title; ?>">

      <div class="ipswb-help">
        <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
        <div class="ipswb-help-content ipswb-hide"><?php _e( 'Set the content title.', IPSWB_SLUG ); ?>
        </div>
      </div>
    </div>
    <!-- end: .ipswb-field -->
  </div>
  <!-- end: .ipswb-field-row -->

  <?php
  /*
   * Excerpt
   */
  ?>
  <!-- start: .ipswb-field-row -->
  <div class="ipswb-field-row ipswb-field-x ipswb-help-abs">
    <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
      <label for="input-box-excerpt"><?php _e( 'Excerpt', IPSWB_SLUG ); ?></label>
    </div>

    <!-- start: .ipswb-field -->
    <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
      <?php
      $excerpt = '';
      if ( $this->box ) {
        $excerpt = stripslashes( $this->box->post_excerpt );
      }
      ?>
      <textarea id="input-box-excerpt" class="ipswb-input ipswb-input-full" name="box_excerpt" rows="6"><?php echo $excerpt; ?></textarea>

      <div class="ipswb-help">
        <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
        <div class="ipswb-help-content ipswb-hide"><?php _e( 'Set the short content.', IPSWB_SLUG ); ?>
        </div>
      </div>
    </div>
    <!-- end: .ipswb-field -->
  </div>
  <!-- end: .ipswb-field-row -->

  <?php
  /*
   * Content
   */
  ?>
  <!-- start: .ipswb-field-row -->
  <div class="ipswb-field-row ipswb-field-x ipswb-help-abs">
    <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
      <label for="input-box-content"><?php _e( 'Content', IPSWB_SLUG ); ?></label>
    </div>

    <!-- start: .ipswb-field -->
    <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
      <?php
      $content = '';
      if ( $this->box ) {
        $content = stripslashes( $this->box->post_content );
      }
      ?> 
      <div class="ipptak-editor">
        <?php
        $tinymceInit = array(
            'editor_height' => 100
        );
        wp_editor( $content, 'box_content', array(
            'editor_height' => 100,
            'tinymce'       => $tinymceInit
        ));
        ?>
      </div>

      <div class="ipswb-help">
        <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
        <div class="ipswb-help-content ipswb-hide"><?php _e( 'Set the main content.', IPSWB_SLUG ); ?>
        </div>
      </div>
    </div>
    <!-- end: .ipswb-field -->
  </div>
  <!-- end: .ipswb-field-row -->

  <?php
  /*
   * Date Info
   */
  ?>
  <!-- start: .ipswb-field-row -->
  <div class="ipswb-field-row ipswb-field-x ipswb-help-abs">
    <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
      <label for="input-box-date-info"><?php _e( 'Date Info', IPSWB_SLUG ); ?></label>
    </div>

    <!-- start: .ipswb-field -->
    <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
      <?php
      $info = stripslashes( $this->setting->getSetting( 'box_date_info' ) );
      ?>
      <input type="text" id="input-box-date-info" class="ipswb-input ipswb-input-full" name="box_date_info" value="<?php echo $info; ?>">

      <div class="ipswb-help">
        <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
        <div class="ipswb-help-content ipswb-hide"><?php _e( 'Set the date information.', IPSWB_SLUG ); ?>
        </div>
      </div>
    </div>
    <!-- end: .ipswb-field -->
  </div>
  <!-- end: .ipswb-field-row -->

  <h4 class="ipswb-field-title mb0 py10">
    <?php _e( 'Media', IPSWB_SLUG ); ?>
  </h4>

	<?php
  /*
   * Media Type
   */
  ?>
  <!-- start: .ipswb-field-row -->
  <div class="ipswb-field-row ipswb-field-x">
    <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
      <label for="input-media-type"><?php _e( 'Media Type', IPSWB_SLUG ); ?></label>
    </div>

    <!-- start: .ipswb-field -->
    <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

      <select name="media_type" id="ipswb-input-media-type">
        <?php
        $types = array(
          'video'  => __( 'Video', IPSWB_SLUG ),
          'image'  => __( 'Image', IPSWB_SLUG )
        );
        $current = $this->setting->getSetting( 'media_type', 'video' );
        foreach( $types as $key => $label )
        {
          $sltd = '';
          if ( $current == $key ) {
            $sltd = ' selected="selected"';
          }
          echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
        }
        ?>
      </select>

      <div class="ipswb-help">
        <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
        <div class="ipswb-help-content ipswb-hide">
          <?php _e( 'Media types will be added in the box.', IPSWB_SLUG ); ?>
        </div>
      </div>
    </div>
    <!-- end: .ipswb-field -->
  </div>
  <!-- end: .ipswb-field-row -->

	<?php
	$dspImage = $dspVideo = ' style="display:none;"';
	if ( $current == 'image' ) {
		$dspImage = '';
	} elseif ( $current == 'video' ) {
		$dspVideo = '';
	}
	?>
	<!-- start: .ipswb-fields-media-image  -->
	<div class="ipswb-fields-media-image"<?php echo $dspImage; ?>>

		<?php
    /*
     * Image
     */
    ?>
    <!-- start: .ipswb-field-row -->
    <div class="ipswb-field-row ipswb-field-x ipswb-help-abs">
      <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-media-image-cover"><?php _e( 'Image Cover', IPSWB_SLUG ); ?></label>
      </div>

      <!-- start: .ipswb-field -->
      <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

        <div class="ipswb-upload-image ipswb-clear">
          <div class="ipswb-upload-preview">
            <?php
            $setimg = false;
            if ( $attach_id = $this->setting->getSetting( 'media_image_cover' ) ) {
              $setimg = true;
              $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
            }
            if ( $setimg ) {
              echo '<div class="image"><img src="' . $data[0] . '" /></div>';
              echo '<div class="none ipswb-hide">' . __( 'No image', IPSWB_SLUG ) . '</div>';
              $reset_dsp = '';
            } else {
              echo '<div class="image"></div>';
              echo '<div class="none">' . __( 'No image', IPSWB_SLUG ) . '</div>';
              $reset_dsp = ' style="display:none;"';
            }
            ?>
          </div>

          <div class="ipswb-image-field">
            <div class="ipswb-select-image">
              <p class="mt0"><?php _e( 'Select an image or upload new image using the header below.', IPSWB_SLUG ); ?></p>
              <a class="ipswb-btn ipswb-btn-secondary ipswb-btn-media ipswb-btn-sm" data-choose="<?php esc_attr_e( 'Choose Image', IPSWB_SLUG ); ?>"
                data-update="<?php esc_attr_e( 'Choose image', IPSWB_SLUG ); ?>">
                  <i class="ipswb-fa ipswb-fa-image"></i>
                  <?php _e( 'Select Image', IPSWB_SLUG ); ?>
              </a>
              <a class="ipswb-btn ipswb-btn-reset ipswb-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                  <i class="ipswb-fa ipswb-fa-ban"></i>
                  <?php _e( 'Clear Image', IPSWB_SLUG ); ?>
              </a>
            </div>
            <input type="hidden" name="upload_type" class="ipswb-upload-type" value="media_image_cover" />
            <input type="hidden" name="media_image_cover" class="ipswb-image-id" value="<?php echo $attach_id; ?>" />
          </div>
        </div>

        <div class="ipswb-help">
          <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
          <div class="ipswb-help-content ipswb-hide">
            <?php _e( 'The background image in the main section.', IPSWB_SLUG ); ?>
          </div>
        </div>
      </div>
      <!-- end: .ipswb-field -->
    </div>
    <!-- end: .ipswb-field-row -->

    <?php
    /*
     * Image
     */
    ?>
    <!-- start: .ipswb-field-row -->
    <div class="ipswb-field-row ipswb-field-x ipswb-help-abs">
      <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-media-image-large"><?php _e( 'Image Large', IPSWB_SLUG ); ?></label>
      </div>

      <!-- start: .ipswb-field -->
      <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

        <div class="ipswb-upload-image ipswb-clear">
					<div class="ipswb-upload-preview">
						<?php
						$setimg = false;
						if ( $attach_id = $this->setting->getSetting( 'media_image_large' ) ) {
							$setimg = true;
							$data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
						}
						if ( $setimg ) {
							echo '<div class="image"><img src="' . $data[0] . '" /></div>';
							echo '<div class="none ipswb-hide">' . __( 'No image', IPSWB_SLUG ) . '</div>';
							$reset_dsp = '';
						} else {
							echo '<div class="image"></div>';
							echo '<div class="none">' . __( 'No image', IPSWB_SLUG ) . '</div>';
							$reset_dsp = ' style="display:none;"';
						}
						?>
					</div>

					<div class="ipswb-image-field">
						<div class="ipswb-select-image">
							<p class="mt0"><?php _e( 'Select an image or upload new image using the header below.', IPSWB_SLUG ); ?></p>
							<a class="ipswb-btn ipswb-btn-secondary ipswb-btn-media ipswb-btn-sm" data-choose="<?php esc_attr_e( 'Choose Image', IPSWB_SLUG ); ?>"
								data-update="<?php esc_attr_e( 'Choose image', IPSWB_SLUG ); ?>">
									<i class="ipswb-fa ipswb-fa-image"></i>
									<?php _e( 'Select Image', IPSWB_SLUG ); ?>
							</a>
							<a class="ipswb-btn ipswb-btn-reset ipswb-btn-sm" href="#"<?php echo $reset_dsp; ?>>
									<i class="ipswb-fa ipswb-fa-ban"></i>
									<?php _e( 'Clear Image', IPSWB_SLUG ); ?>
							</a>
						</div>
						<input type="hidden" name="upload_type" class="ipswb-upload-type" value="media_image_large" />
						<input type="hidden" name="media_image_large" class="ipswb-image-id" value="<?php echo $attach_id; ?>" />
					</div>
        </div>

        <div class="ipswb-help">
          <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
          <div class="ipswb-help-content ipswb-hide">
            <?php _e( 'The background image in the main section.', IPSWB_SLUG ); ?>
          </div>
        </div>
      </div>
      <!-- end: .ipswb-field -->
    </div>
    <!-- end: .ipswb-field-row -->

  </div>
  <!-- end: .ipswb-fields-media-image -->

	<!-- start: .ipswb-fields-media-video  -->
	<div class="ipswb-fields-media-video"<?php echo $dspVideo; ?>>

		<?php
		/*
		 * Youtube Video URL
		 */
		?>
		<!-- start: .ipswb-field-row -->
		<div class="ipswb-field-row ipswb-field-x ipswb-help-abs">
			<div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
				<label for="input-youtube-url">
					<?php _e( 'Youtube Video URL', IPSWB_SLUG ); ?>
				</label>
			</div>

			<!-- start: .ipswb-field -->
			<div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
				<?php
				$url = $this->setting->getSetting( 'youtube_url' );
				?>
				<input type="text" id="input-youtube-url" class="ipswb-input ipswb-input-full" name="youtube_url" value="<?php echo $url; ?>">

				<div class="ipswb-help">
					<a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
					<div class="ipswb-help-content ipswb-hide"><?php _e( 'The URL of your youtube video.', IPSWB_SLUG ); ?>
					</div>
				</div>
			</div>
			<!-- end: .ipswb-field -->
		</div>
		<!-- end: .ipswb-field-row -->

    <?php
    /*
     * Image
     */
    ?>
    <!-- start: .ipswb-field-row -->
    <div class="ipswb-field-row ipswb-field-x ipswb-help-abs">
      <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-media-video-cover"><?php _e( 'Image Cover', IPSWB_SLUG ); ?></label>
      </div>

      <!-- start: .ipswb-field -->
      <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

        <div class="ipswb-upload-image ipswb-clear">
          <div class="ipswb-upload-preview">
            <?php
            $setimg = false;
            if ( $attach_id = $this->setting->getSetting( 'media_video_cover' ) ) {
              $setimg = true;
              $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
            }
            if ( $setimg ) {
              echo '<div class="image"><img src="' . $data[0] . '" /></div>';
              echo '<div class="none ipswb-hide">' . __( 'No image', IPSWB_SLUG ) . '</div>';
              $reset_dsp = '';
            } else {
              echo '<div class="image"></div>';
              echo '<div class="none">' . __( 'No image', IPSWB_SLUG ) . '</div>';
              $reset_dsp = ' style="display:none;"';
            }
            ?>
          </div>

          <div class="ipswb-image-field">
            <div class="ipswb-select-image">
              <p class="mt0"><?php _e( 'Select an image or upload new image using the header below.', IPSWB_SLUG ); ?></p>
              <a class="ipswb-btn ipswb-btn-secondary ipswb-btn-media ipswb-btn-sm" data-choose="<?php esc_attr_e( 'Choose Image', IPSWB_SLUG ); ?>"
                data-update="<?php esc_attr_e( 'Choose image', IPSWB_SLUG ); ?>">
                  <i class="ipswb-fa ipswb-fa-image"></i>
                  <?php _e( 'Select Image', IPSWB_SLUG ); ?>
              </a>
              <a class="ipswb-btn ipswb-btn-reset ipswb-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                  <i class="ipswb-fa ipswb-fa-ban"></i>
                  <?php _e( 'Clear Image', IPSWB_SLUG ); ?>
              </a>
            </div>
            <input type="hidden" name="upload_type" class="ipswb-upload-type" value="media_video_cover" />
            <input type="hidden" name="media_video_cover" class="ipswb-image-id" value="<?php echo $attach_id; ?>" />
          </div>
        </div>

        <div class="ipswb-help">
          <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
          <div class="ipswb-help-content ipswb-hide">
            <?php _e( 'The background image in the main section.', IPSWB_SLUG ); ?>
          </div>
        </div>
      </div>
      <!-- end: .ipswb-field -->
    </div>
    <!-- end: .ipswb-field-row -->

		<?php
		//Input Start
		?>
		<!-- start: .ipswb-field-row -->
		<div class="ipswb-field-row ipswb-field-x">
			<div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
				<label for="input-youtube-start"><?php _e( 'Start time', IPSWB_SLUG ); ?></label>
			</div>
			<div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
				<div class="ipswb-input-group">
					<?php
					$start = $this->setting->getSetting( 'youtube_start' );
					?>
					<input type="text" id="input-youtube-start" class="ipswb-input ipswb-input-xs" name="youtube_start" value="<?php echo $start; ?>">
					<div class="ipswb-input-addon">second</div>
				</div>

				<div class="ipswb-help">
					<a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
					<div class="ipswb-help-content ipswb-hide">
						<?php _e( 'Time in second for start time of your video. You set this value when you want to start the video not from the beginning.', IPSWB_SLUG ); ?>
					</div>
				</div>
			</div>
		</div>
		<!-- end: .ipswb-field-row -->

  </div>
  <!-- end: .ipswb-fields-media-video -->

</div>
<!-- end: .ipswb-fields -->
