<?php
/**
 * Manage boxes view
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$box = $this->box;
?>
<div id="ipswb-manage-box" class="wrap ipswb-wrap ipswb-admin">
  <div class="ipswb-inner">
    <?php
    if ( $box ) {
        $this->title = $box->post_title;
        $this->info  = '<i class="ipswb-fa ipswb-fa-calendar"></i> Created: ' .
            '<strong>' . mysql2date( 'd F Y, h:i', $box->post_date ) . '</strong>';

        $this->view( 'admin/general/header' );
    } else {
        $this->title = __( 'Add Box', IPSWB_SLUG );
        $this->info  = 'Add new box for your slideshow';
        $this->view( 'admin/general/header' );
    }
    $form_action = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipswb=1&action=update_box&slide_id=' . $this->slideId;
    ?>
    <div class="ipswb-main">
      <div class="ipswb-main-info"></div>

      <div class="ipswb-primary">
        <div class="ipswb-manage-wrap ipswb-manage-sidebar">
          <form id="<?php echo $this->formId; ?>" class="ipswb-form-container ipswb-form" method="post" action="<?php echo $form_action; ?>" enctype="multipart/form-data">
            <input type="hidden" name="box_id" id="ipswb-value-boxid" value="<?php echo $this->boxId; ?>" />

            <div class="container-fluid container">

              <?php
              $this->view( 'admin/box/content' );
              ?>

              <div class="ipswb-manage-footer">
                <div class="row">
                  <div class="col-md-6">
                    <div class="ipswb-bottom-submit">
                      <button type="submit" class="ipswb-form-submit ipswb-btn ipswb-btn-secondary ipswb-btn-lg <?php echo $this->submitId; ?>" id="do-update-bottom" name="update_bottom">
                        <i class="ipswb-fa ipswb-fa-<?php echo $this->submitIcon; ?>"></i>
                        <strong><?php echo $this->submitLabel; ?></strong>
                      </button>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div class="ipswb-bottom-action text-right">
                      <?php
                      if ( $box ) :
                      ?>
                      <a href="#" class="ipswb-btn ipswb-btn-danger ipswb-btn-lg ipswb-item-box-delete ipswb-delete-edit" data-boxes-id="<?php echo $this->slideId; ?>" data-id="<?php echo $box->ID; ?>">
                          <i class="ipswb-fa ipswb-fa-trash"></i>
                          <?php _e( 'Delete', IPSWB_SLUG ); ?>
                      </a>
                      <?php
                      endif;
                      ?>
                    </div>
                  </div>
                </div>

              </div>

            </div>

          </form>
        </div>
      </div>
    </div>
  </div>
</div>
