<?php
/**
 * Admin content general view
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipswb-section-general" class="ipswb-tab-content">
  <div class="ipswb-tab-inner">

    <div class="ipswb-title-content ipswb-hide">
      <i class="ipswb-fa ipswb-fa-cogs"></i>
      <div class="ipswb-title-text">
        <h3><?php _e( 'General', IPSWB_SLUG ); ?></h3>
        <p><?php _e( 'Basic settings and info of your slideshow', IPSWB_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipswb-fields -->
    <div class="ipswb-fields">

      <?php
      /*
       * Name
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x ipswb-help-abs">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-boxes-name"><?php _e( 'Slideshow Name', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $name = '';
          if ( $this->box ) {
            $name = stripslashes( $this->box->post_title );
          }
          ?>
          <input type="text" id="input-box-name" class="ipswb-input ipswb-input-full ipswb-input-v-lg" name="box_name" value="<?php echo $name; ?>">

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide"><?php _e( 'The name of the slideshow. This data will not be used directly in creating slideshow, only to mark the slideshow, so it easier for you to manage it.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Status
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-status"><?php _e( 'Status', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipswb-onoff">
            <?php
            $val  = 'true';
            if ( $this->box && $this->box->post_status == 'draft' ) {
                $val = 'false';
            }
            if ( $val == 'false' ) {
                $clon  = '';
                $cloff = ' active';
            } else {
                $clon  = ' active';
                $cloff = '';
            }
            ?>
            <div class="ipswb-btn-group">
              <button data-value="true" class="ipswb-btn-onoff<?php echo $clon; ?> ipswb-btn-on" type="button"><?php _e( 'Show', IPSWB_SLUG ); ?></button>
              <button data-value="false" class="ipswb-btn-onoff<?php echo $cloff; ?> ipswb-btn-off" type="button"><?php _e( 'Hide', IPSWB_SLUG ); ?></button>
            </div>
            <input type="hidden" class="ipswb-onoff-value" name="status" value="<?php echo $val; ?>" />
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Determines the status of the boxes, whether the boxes will be viewable by the public or not.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Style
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-style"><?php _e( 'Style', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <select name="style" id="input-style">
            <?php
            $current = $this->setting->getSetting( 'style' );
            if ( $this->styles )
            {
              foreach( $this->styles as $style )
              {
                $sltd = '';
                if ( $current == $style->ID ) {
                  $sltd = ' selected="selected"';
                }
                echo '<option value="' . $style->ID . '"' . $sltd . '>' . $style->post_title . '</option>';
              }
            }
            ?>
          </select>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set the styles of the box items.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Restricted user
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-restricted"><?php _e( 'Restricted', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipswb-onoff">
              <?php
              $val = $this->setting->getSetting( 'restricted', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipswb-btn-group">
                <button data-value="true" class="ipswb-btn-onoff<?php echo $clon; ?> ipswb-btn-on" type="button"><?php _e( 'On', IPSWB_SLUG ); ?></button>
                <button data-value="false" class="ipswb-btn-onoff<?php echo $cloff; ?> ipswb-btn-off" type="button"><?php _e( 'Off', IPSWB_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipswb-onoff-value" name="restricted" value="<?php echo $val; ?>" />
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Deciding whether to tighten the boxes where only logged-in user can view the page.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

    </div>
    <!-- end: .ipswb-fields -->

  </div>
</div>
