<?php
/**
 * Admin statistic view
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>

<!-- start: .ipswb-tab-content -->
<div id="ipswb-section-statistic" class="ipswb-tab-content ipswb-save-hide">
  <div class="ipswb-tab-inner">

    <div class="ipswb-title-content ipswb-hide">
      <i class="ipswb-fa ipswb-fa-bar-chart"></i>
      <div class="ipswb-title-text">
        <h3><?php _e( 'Statistic', IPSWB_SLUG ); ?></h3>
        <p><?php _e( 'See the statistic data for your slideshow.', IPSWB_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipswb-fields -->
    <div class="ipswb-fields ipswb-statistic">

    	<!-- start: .ipswb-stat-filter -->
			<div class="ipswb-stat-filter ipswb-clear">

				<div class="ipswb-stat-nav">

					<?php
	        $slideViews   = 0;
	        $mediaViews   = 0;
	        $detailViews  = 0;
	        $shares   		= 0;

	        $model    = new IPSwb_Model_Stat();
	        $slideId  = $this->box->ID;
	        $stats 		= $model->getStatBySlide( $slideId );

	        if ( ! empty( $stats )) 
	        {
		        $slideViews   = $stats->stat_slide_view;
		        $mediaViews   = $stats->stat_media_view;
		        $detailViews  = $stats->stat_detail_view;
		        $shares   		= $stats->stat_share;
	        }
	        ?>

					<div class="container container-fluid">
						<ul class="row">
							<li class="col-sm-3 ipswb-nav-slide-view ipswb-nav-blue active">
								<a href="#stat-slide_view">
									<i class="ipswb-fa ipswb-fa-arrows-h"></i>
									<span class="stat-value">
										<strong> <?php echo number_format( $slideViews ); ?></strong>
										<em> <?php _e( 'Slide Views', IPSWB_SLUG ); ?></em>
									</span>
								</a>
							</li>
							<li class="col-sm-3 ipswb-nav-media-view ipswb-nav-green">
								<a href="#stat-media_view">
									<i class="ipswb-fa ipswb-fa-play-circle-o"></i>
									<span class="stat-value">
										<strong> <?php echo number_format( $mediaViews ); ?></strong>
										<em> <?php _e( 'Media Views', IPSWB_SLUG ); ?></em>
									</span>
								</a>
							</li>
							<li class="col-sm-3 ipswb-nav-detail-view ipswb-nav-orange">
								<a href="#stat-detail_view">
									<i class="ipswb-fa ipswb-fa-search-plus"></i>
									<span class="stat-value">
										<strong> <?php echo number_format( $detailViews ); ?></strong>
										<em> <?php _e( 'Detail Views', IPSWB_SLUG ); ?></em>
									</span>
								</a>
							</li>
							<li class="col-sm-3 ipswb-nav-share ipswb-nav-orange">
								<a href="#stat-share">
									<i class="ipswb-fa ipswb-fa-share-alt"></i>
									<span class="stat-value">
										<strong> <?php echo number_format( $shares ); ?></strong>
										<em> <?php _e( 'Shares', IPSWB_SLUG ); ?></em>
									</span>
								</a>
							</li>
						</ul>
					</div>

				</div>

				<div class="ipswb-date-filter">
					<form action="" method="post">
						<input type="hidden" id="value-pageid" name="pageid" value="<?php echo $this->box->ID; ?>" />
              <input type="hidden" id="value-stat-type" name="stat_type" value="slide_view" />

						<?php
						$dateStart = date('m/d/Y');
						$dateEnd   = date('m/d/Y');
						?>
						<strong> <?php _e( 'Filter By Date', IPSWB_SLUG ); ?>: </strong>
						<span class="ipswb-date-input">
                <input type="text" id="date-start" name="cdatestart" value="<?php echo $dateStart; ?>" />
                -
                <input type="text" id="date-end" name="cdateend" value="<?php echo $dateEnd; ?>" />
						</span>
						<span class="ipswb-do-filter">
                <input type="submit" id="do-filter-date" class="button button-primary" name="do_filter_date" value="<?php _e( 'Go', IPSWB_SLUG ); ?>" />
						</span>
					</form>
				</div>

			</div>
			<!-- end: .ipswb-stat-filter -->

			<!-- start: .ipswb-stat-main -->
			<div class="ipswb-stat-main">

        <h4><?php _e( 'Views Statistic', IPSWB_SLUG ); ?></h4>
        <div class="ipswb-stat-chart">

          <script type="text/javascript" src="https://www.google.com/jsapi"></script>
          <script type="text/javascript">
            google.load("visualization", "1", {packages:["corechart"]});
            google.setOnLoadCallback(drawChart);
            function drawChart() 
            {
              var dataTable = new google.visualization.DataTable();
              dataTable.addColumn( 'date', '<?php _e( 'Date', IPSWB_SLUG ); ?>' );
              dataTable.addColumn( 'number', '<?php _e( 'Slide Views', IPSWB_SLUG ); ?>' );

              var rows = [
              <?php
              $stdata = $model->getStatisticData( $slideId, 'slide_view' );
              if ( $stdata ) {
                foreach( $stdata as $data ) {
                  $timestamp = strtotime( $data->gdate );
                  $phpdate   = getdate($timestamp);

                  echo '[new Date('
                          . $phpdate['year'] . ', '
                          . ( $phpdate['mon']  - 1 ) . ', '
                          . $phpdate['mday'] . ',0,0,0), '
                          . $data->value
                      . '],';
                }
              }
              ?>
              ];
              dataTable.addRows( rows );

              var options = {
                  series: [{pointSize:6}]
              };
              var chart = new google.visualization.LineChart(document.getElementById('ipswb-chart-div'));
              chart.draw(dataTable, options);
            }
          </script>

          <div 
          	id="ipswb-chart-div" 
          	class="ipswb-chart-main" 
          	style="width: 100%; height: 500px;"></div>
          <div class="ipswb-chart-load" style="display: none;">
            <?php
            $src = IPSWB_BASE_URL . 'assets/img/loading.gif';
            ?>
            <img src="<?php echo $src; ?>" alt="Loading..." />
          </div>

        </div>

			</div>
			<!-- end: .ipswb-stat-main -->

		</div>
		<!-- end: .ipswb-fields -->

	</div>
</div>
<!-- end: .ipswb-tab-content -->
