<?php
/**
 * Manage block style view
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<!-- start: .ipswb-tab-content -->
<div id="ipswb-section-block" class="ipswb-tab-content">
  <div class="ipswb-tab-inner">

    <div class="ipswb-title-content ipswb-hide">
      <i class="ipswb-fa ipswb-fa-paint-brush"></i>
      <div class="ipswb-title-text">
        <h3><?php _e( 'Block Design', IPSWB_SLUG ); ?></h3>
        <p><?php _e( 'Set the design of the slideshow block', IPSWB_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipswb-fields -->
    <div class="ipswb-fields">
		
			<?php
      /*
       * Background Color
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-block-background-color"><?php _e( 'Background Color', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'block_background_color', '#ffffff' ) );
          ?>
          <input type="text" class="ipswb-color-picker" id="input-block-background-color" name="block_background_color" value="<?php echo $color; ?>" />

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set background color for the slideshow block.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Background Image
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x ipswb-help-abs">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-block-background-image"><?php _e( 'Background Image', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <div class="ipswb-upload-image ipswb-clear">
              <div class="ipswb-upload-preview">
                  <?php
                    $setimg = false;
                    if ( $attach_id = $this->setting->getSetting( 'block_background_image' ) ) {
                        $setimg = true;
                        $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none ipswb-hide">' . __( 'No image', IPSWB_SLUG ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No image', IPSWB_SLUG ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                  ?>
              </div>

              <div class="ipswb-image-field">
                  <div class="ipswb-select-image">
                    <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPSWB_SLUG ); ?></p>
                    <a class="ipswb-btn ipswb-btn-secondary ipswb-btn-media ipswb-btn-sm" data-choose="<?php esc_attr_e( 'Choose Image', IPSWB_SLUG ); ?>"
                      data-update="<?php esc_attr_e( 'Choose image', IPSWB_SLUG ); ?>">
                        <i class="ipswb-fa ipswb-fa-image"></i>
                        <?php _e( 'Select Image', IPSWB_SLUG ); ?>
                    </a>
                    <a class="ipswb-btn ipswb-btn-reset ipswb-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                        <i class="ipswb-fa ipswb-fa-ban"></i>
                        <?php _e( 'Clear Image', IPSWB_SLUG ); ?>
                    </a>
                  </div>
                  <input type="hidden" name="upload_type" class="ipswb-upload-type" value="block_background_image" />
                  <input type="hidden" name="block_background_image" class="ipswb-image-id" value="<?php echo $attach_id; ?>" />
              </div>
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'The background image in the slideshow block.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Background repeat
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x ipswb-help-abs">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-block-background-repeat"><?php _e( 'Background Repeat', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $style   = $this->setting->getSetting( 'block_background_repeat' );
          $options = array(
              'no-repeat'   => __( 'No Repeat', IPSWB_SLUG ),
              'repeat-x'    => __( 'Repeat Horizontally', IPSWB_SLUG ),
              'repeat-y'    => __( 'Repeat Vertically', IPSWB_SLUG ),
              'repeat'      => __( 'Repeat All', IPSWB_SLUG ),
          );
          ?>
          <select name="block_background_repeat" id="input-block-background-repeat">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $style ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'The alignment background in slideshow block.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Background opacity
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-block-background-opacity"><?php _e( 'Background Opacity', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $opacity = $this->setting->getSetting( 'block_background_opacity' );
          $options = array(
              0    => __( 'None', IPSWB_SLUG ),
              10   => __( '10%', IPSWB_SLUG ),
              20   => __( '20%', IPSWB_SLUG ),
              30   => __( '30%', IPSWB_SLUG ),
              40   => __( '40%', IPSWB_SLUG ),
              50   => __( '50%', IPSWB_SLUG ),
              60   => __( '60%', IPSWB_SLUG ),
              70   => __( '70%', IPSWB_SLUG ),
              80   => __( '80%', IPSWB_SLUG ),
              90   => __( '90%', IPSWB_SLUG ),
          );
          ?>
          <select name="block_background_opacity" id="input-block-background-opacity">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $opacity ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Make transparency for the background image.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Border
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-block-border-width"><?php _e( 'Border', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color   = stripslashes( $this->setting->getSetting( 'block_border_color', '#111111' ) );
          $bowidth = $this->setting->getSetting( 'block_border_width', 0 );
          ?>
          <div class="ipswb-input-group mr5">
            <input type="text" id="input-block-border-width" class="ipswb-input ipswb-input-xxs" name="block_border_width" value="<?php echo $bowidth; ?>">
            <div class="ipswb-input-addon">px</div>
          </div>
          <input type="text" class="ipswb-color-picker" id="input-block-border-color" name="block_border_color" value="<?php echo $color; ?>" />

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Add border for the slideshow block.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      //Border radius
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-block-border-radius"><?php _e( 'Border Radius', IPSWB_SLUG ); ?></label>
        </div>
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

            <select name="block_border_radius" id="input-block-border-radius">
            <?php
            $current = stripslashes( $this->setting->getSetting( 'block_border_radius', 'none' ));
            $styles  = array(
                'none' => __( 'None', IPSWB_SLUG ),
                'xs'   => __( 'Extra Small', IPSWB_SLUG ),
                'sm'   => __( 'Small', IPSWB_SLUG ),
                'md'   => __( 'Medium', IPSWB_SLUG ),
                'lg'   => __( 'Large', IPSWB_SLUG )
            );
            foreach( $styles as $key => $label ) {
                $sltd = '';
                if ( $key == $current ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
            </select>

            <div class="ipswb-help">
              <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
                <div class="ipswb-help-content ipswb-hide">
                <?php _e( 'Add radius in the slideshow block.', IPSWB_SLUG ); ?>
              </div>
          </div>
        </div>
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Padding
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-block-padding"><?php _e( 'Padding', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $padding = absint( $this->setting->getSetting( 'block_padding', '15' ) );
          ?>
          <div class="ipswb-input-group mr5">
            <input type="text" id="input-block-padding" class="ipswb-input ipswb-input-xxs" name="block_padding" value="<?php echo $padding; ?>">
            <div class="ipswb-input-addon">px</div>
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set padding for the slideshow block.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Margin Top
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-block-margin-top"><?php _e( 'Margin Top', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $margin = absint( $this->setting->getSetting( 'block_margin_top', '15' ) );
          ?>
          <div class="ipswb-input-group mr5">
            <input type="text" id="input-block-margin-top" class="ipswb-input ipswb-input-xxs" name="block_margin_top" value="<?php echo $margin; ?>">
            <div class="ipswb-input-addon">px</div>
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set margin in top of the slideshow block.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Margin Bottom
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-block-margin-bottom"><?php _e( 'Margin Bottom', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $margin = absint( $this->setting->getSetting( 'block_margin_bottom', '15' ) );
          ?>
          <div class="ipswb-input-group mr5">
            <input type="text" id="input-block-margin-bottom" class="ipswb-input ipswb-input-xxs" name="block_margin_bottom" value="<?php echo $margin; ?>">
            <div class="ipswb-input-addon">px</div>
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set margin in bottom of the slideshow block.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Shadow
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-block-shadow"><?php _e( 'Shadow', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipswb-onoff">
              <?php
              $val  = $this->setting->getSetting( 'block_shadow', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipswb-btn-group">
                <button data-value="true" class="ipswb-btn-onoff<?php echo $clon; ?> ipswb-btn-on" type="button"><?php _e( 'On', IPSWB_SLUG ); ?></button>
                <button data-value="false" class="ipswb-btn-onoff<?php echo $cloff; ?> ipswb-btn-off" type="button"><?php _e( 'Off', IPSWB_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipswb-onoff-value" name="block_shadow" value="<?php echo $val; ?>" />
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Determines whether to add a shadow effect on the slideshow block.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

    </div>
    <!-- end: .ipswb-fields -->

  </div>
</div>
<!-- end: .ipswb-tab-content -->
