<?php
/**
 * Manage box content view
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipswb-section-content" class="ipswb-tab-content">
  <div class="ipswb-tab-inner">

    <div class="ipswb-title-content ipswb-hide">
      <i class="ipswb-fa ipswb-fa-cogs"></i>
      <div class="ipswb-title-text">
        <h3><?php _e( 'Content', IPSWB_SLUG ); ?></h3>
        <p><?php _e( 'Set the widget content', IPSWB_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipswb-fields -->
    <div class="ipswb-fields">

    	<?php
      /*
       * Show/Hide Content
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-show-content"><?php _e( 'Show/Hide Content', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipswb-onoff">
              <?php
              $val  = $this->setting->getSetting( 'show_content', 'true' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipswb-btn-group">
                <button data-value="true" class="ipswb-btn-onoff<?php echo $clon; ?> ipswb-btn-on" type="button"><?php _e( 'Show', IPSWB_SLUG ); ?></button>
                <button data-value="false" class="ipswb-btn-onoff<?php echo $cloff; ?> ipswb-btn-off" type="button"><?php _e( 'Hide', IPSWB_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipswb-onoff-value" name="show_content" value="<?php echo $val; ?>" />
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Determines whether to show/hide content.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Content Height
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-content-height"><?php _e( 'Content Height', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $height = $this->setting->getSetting( 'content_height', 240 );
          ?>
          <div class="ipswb-input-group mr5">
              <input type="text" id="input-content-height" class="ipswb-input ipswb-input-xs" name="content_height" value="<?php echo $height; ?>">
              <div class="ipswb-input-addon">px</div>
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set the height ( in pixel ) of the content section.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
			/*
			 * Padding
			 */
			?>
			<!-- start: .ipswb-field-row -->
			<div class="ipswb-field-row ipswb-field-x">
				<div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
					<label for="input-content-padding"><?php _e( 'Padding', IPSWB_SLUG ); ?></label>
				</div>

				<!-- start: .ipswb-field -->
				<div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

					<?php
					$padding = absint( $this->setting->getSetting( 'content_padding', '15' ) );
					?>
					<div class="ipswb-input-group mr5">
						<input type="text" id="input-content-padding" class="ipswb-input ipswb-input-xxs" name="content_padding" value="<?php echo $padding; ?>">
						<div class="ipswb-input-addon">px</div>
					</div>

					<div class="ipswb-help">
						<a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
						<div class="ipswb-help-content ipswb-hide">
							<?php _e( 'Set padding for the content area.', IPSWB_SLUG ); ?>
						</div>
					</div>
				</div>
				<!-- end: .ipswb-field -->
			</div>
			<!-- end: .ipswb-field-row -->

	    <h4 class="ipswb-field-title mb0 py10">
	      <?php _e( 'Title', IPSWB_SLUG ); ?>
	    </h4>

    	<?php
      /*
       * Show/Hide Title
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-show-content-title"><?php _e( 'Show/Hide Title', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipswb-onoff">
              <?php
              $val  = $this->setting->getSetting( 'show_content_title', 'true' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipswb-btn-group">
                <button data-value="true" class="ipswb-btn-onoff<?php echo $clon; ?> ipswb-btn-on" type="button"><?php _e( 'Show', IPSWB_SLUG ); ?></button>
                <button data-value="false" class="ipswb-btn-onoff<?php echo $cloff; ?> ipswb-btn-off" type="button"><?php _e( 'Hide', IPSWB_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipswb-onoff-value" name="show_content_title" value="<?php echo $val; ?>" />
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Determines whether to show/hide the title.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

			<?php
			/*
			 * Text Color
			 */
			?>
			<!-- start: .ipswb-field-row -->
			<div class="ipswb-field-row ipswb-field-x">
				<div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
					<label for="input-title-text-color"><?php _e( 'Text Color', IPSWB_SLUG ); ?></label>
				</div>

				<!-- start: .ipswb-field -->
				<div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

					<?php
					$color = stripslashes( $this->setting->getSetting( 'title_text_color', '#333333' ) );
					?>
					<input type="text" class="ipswb-color-picker" id="input-title-text-color" name="title_text_color" value="<?php echo $color; ?>" />

					<div class="ipswb-help">
						<a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
						<div class="ipswb-help-content ipswb-hide">
							<?php _e( 'Set text color for the title.', IPSWB_SLUG ); ?>
						</div>
					</div>
				</div>
				<!-- end: .ipswb-field -->
			</div>
			<!-- end: .ipswb-field-row -->

			<?php
			//Font Family
			?>
			<!-- start: .ipswb-field-row -->
			<div class="ipswb-field-row ipswb-field-x">
				<div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
					<label for="input-title-font-family"><?php _e( 'Font Family', IPSWB_SLUG ); ?></label>
				</div>
				<!-- start: .ipswb-field -->
				<div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

					<?php
					$current = $this->setting->getSetting( 'title_font_family', 'roboto' );
					$fonts   = IPSwb_Font::getOptions();
					$fname   = IPSwb_Font::getFontName( $current );
					?>
					<span class="ipswb-font-family">
						<div class="ipswb-menu ipswb-fancy-option">
							<div class="ipswb-selected">
								<div class="ipswb-selected-box">
									<span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
								</div>
								<span class="toggle"></span>
							</div>
							<div class="ipswb-select" style="display: none;">
								<div class="ipswb-select-content">
									<ul class="clearfix">
										<?php
										foreach( $fonts as $fkey => $label ) :
										?>
										<li data-select="<?php echo $fkey; ?>">
											<strong class="ipswb-select-label">
												<?php echo $label; ?>
											</strong>
										</li>
										<?php
										endforeach;
										?>
									</ul>
								</div>
							</div>
							<input type="hidden" name="title_font_family" class="ipswb-input-select" value="<?php echo $current; ?>" />
						</div>
					</span>

					<div class="ipswb-help">
						<a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
						<div class="ipswb-help-content ipswb-hide">
							<?php _e( 'The font family of the title.', IPSWB_SLUG ); ?>
						</div>
					</div>
				</div>
				<!-- end: .ipswb-field -->
			</div>
			<!-- end: .ipswb-field-row -->

			<?php
			/*
			 * Font Size
			 */
			?>
			<!-- start: .ipswb-field-row -->
			<div class="ipswb-field-row ipswb-field-x">
				<div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
					<label for="input-title-font-size"><?php _e( 'Font Size', IPSWB_SLUG ); ?></label>
				</div>

				<!-- start: .ipswb-field -->
				<div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

					<?php
					$padding = absint( $this->setting->getSetting( 'title_font_size', '16' ) );
					?>
					<div class="ipswb-input-group mr5">
						<input type="text" id="input-title-font-size" class="ipswb-input ipswb-input-xxs" name="title_font_size" value="<?php echo $padding; ?>">
						<div class="ipswb-input-addon">px</div>
					</div>

					<div class="ipswb-help">
						<a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
						<div class="ipswb-help-content ipswb-hide">
							<?php _e( 'Set font size of the title.', IPSWB_SLUG ); ?>
						</div>
					</div>
				</div>
				<!-- end: .ipswb-field -->
			</div>
			<!-- end: .ipswb-field-row -->

			<?php
			/*
			 * Maximum Title Length
			 */
			?>
			<!-- start: .ipswb-field-row -->
			<div class="ipswb-field-row ipswb-field-x">
				<div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
					<label for="input-title-max-length"><?php _e( 'Maximum Title Length', IPSWB_SLUG ); ?></label>
				</div>

				<!-- start: .ipswb-field -->
				<div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

					<?php
					$padding = absint( $this->setting->getSetting( 'title_max_length', '16' ) );
					?>
					<input type="text" id="input-title-max-length" class="ipswb-input ipswb-input-xxs" name="title_max_length" value="<?php echo $padding; ?>">

					<div class="ipswb-help">
						<a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
						<div class="ipswb-help-content ipswb-hide">
							<?php _e( 'Set the maximum word length for the title. if the title exceeds it will be cut off.', IPSWB_SLUG ); ?>
						</div>
					</div>
				</div>
				<!-- end: .ipswb-field -->
			</div>
			<!-- end: .ipswb-field-row -->

	    <h4 class="ipswb-field-title mb0 py10">
	      <?php _e( 'Description', IPSWB_SLUG ); ?>
	    </h4>

    	<?php
      /*
       * Show/Hide Description
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-show-content-desc"><?php _e( 'Show/Hide Description', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipswb-onoff">
              <?php
              $val  = $this->setting->getSetting( 'show_content_desc', 'true' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipswb-btn-group">
                <button data-value="true" class="ipswb-btn-onoff<?php echo $clon; ?> ipswb-btn-on" type="button"><?php _e( 'Show', IPSWB_SLUG ); ?></button>
                <button data-value="false" class="ipswb-btn-onoff<?php echo $cloff; ?> ipswb-btn-off" type="button"><?php _e( 'Hide', IPSWB_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipswb-onoff-value" name="show_content_desc" value="<?php echo $val; ?>" />
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Determines whether to show/hide the description.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

			<?php
			/*
			 * Text Color
			 */
			?>
			<!-- start: .ipswb-field-row -->
			<div class="ipswb-field-row ipswb-field-x">
				<div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
					<label for="input-desc-text-color"><?php _e( 'Text Color', IPSWB_SLUG ); ?></label>
				</div>

				<!-- start: .ipswb-field -->
				<div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

					<?php
					$color = stripslashes( $this->setting->getSetting( 'desc_text_color', '#333333' ) );
					?>
					<input type="text" class="ipswb-color-picker" id="input-desc-text-color" name="desc_text_color" value="<?php echo $color; ?>" />

					<div class="ipswb-help">
						<a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
						<div class="ipswb-help-content ipswb-hide">
							<?php _e( 'Set text color for the description.', IPSWB_SLUG ); ?>
						</div>
					</div>
				</div>
				<!-- end: .ipswb-field -->
			</div>
			<!-- end: .ipswb-field-row -->

			<?php
			//Font Family
			?>
			<!-- start: .ipswb-field-row -->
			<div class="ipswb-field-row ipswb-field-x">
				<div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
					<label for="input-desc-font-family"><?php _e( 'Font Family', IPSWB_SLUG ); ?></label>
				</div>
				<!-- start: .ipswb-field -->
				<div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

					<?php
					$current = $this->setting->getSetting( 'desc_font_family', 'roboto' );
					$fonts   = IPSwb_Font::getOptions();
					$fname   = IPSwb_Font::getFontName( $current );
					?>
					<span class="ipswb-font-family">
						<div class="ipswb-menu ipswb-fancy-option">
							<div class="ipswb-selected">
								<div class="ipswb-selected-box">
									<span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
								</div>
								<span class="toggle"></span>
							</div>
							<div class="ipswb-select" style="display: none;">
								<div class="ipswb-select-content">
									<ul class="clearfix">
										<?php
										foreach( $fonts as $fkey => $label ) :
										?>
										<li data-select="<?php echo $fkey; ?>">
											<strong class="ipswb-select-label">
												<?php echo $label; ?>
											</strong>
										</li>
										<?php
										endforeach;
										?>
									</ul>
								</div>
							</div>
							<input type="hidden" name="desc_font_family" class="ipswb-input-select" value="<?php echo $current; ?>" />
						</div>
					</span>

					<div class="ipswb-help">
						<a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
						<div class="ipswb-help-content ipswb-hide">
							<?php _e( 'The font family of the description.', IPSWB_SLUG ); ?>
						</div>
					</div>
				</div>
				<!-- end: .ipswb-field -->
			</div>
			<!-- end: .ipswb-field-row -->

			<?php
			/*
			 * Font Size
			 */
			?>
			<!-- start: .ipswb-field-row -->
			<div class="ipswb-field-row ipswb-field-x">
				<div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
					<label for="input-desc-font-size"><?php _e( 'Font Size', IPSWB_SLUG ); ?></label>
				</div>

				<!-- start: .ipswb-field -->
				<div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

					<?php
					$padding = absint( $this->setting->getSetting( 'desc_font_size', '14' ) );
					?>
					<div class="ipswb-input-group mr5">
						<input type="text" id="input-desc-font-size" class="ipswb-input ipswb-input-xxs" name="desc_font_size" value="<?php echo $padding; ?>">
						<div class="ipswb-input-addon">px</div>
					</div>

					<div class="ipswb-help">
						<a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
						<div class="ipswb-help-content ipswb-hide">
							<?php _e( 'Set font size of the description.', IPSWB_SLUG ); ?>
						</div>
					</div>
				</div>
				<!-- end: .ipswb-field -->
			</div>
			<!-- end: .ipswb-field-row -->

			<?php
			/*
			 * Maximum Title Length
			 */
			?>
			<!-- start: .ipswb-field-row -->
			<div class="ipswb-field-row ipswb-field-x">
				<div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
					<label for="input-desc-max-length"><?php _e( 'Maximum Description Length', IPSWB_SLUG ); ?></label>
				</div>

				<!-- start: .ipswb-field -->
				<div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

					<?php
					$length = absint( $this->setting->getSetting( 'desc_max_length', '36' ) );
					?>
					<input type="text" id="input-desc-max-length" class="ipswb-input ipswb-input-xxs" name="desc_max_length" value="<?php echo $length; ?>">

					<div class="ipswb-help">
						<a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
						<div class="ipswb-help-content ipswb-hide">
							<?php _e( 'Set the maximum word length for the description. if the description exceeds it will be cut off.', IPSWB_SLUG ); ?>
						</div>
					</div>
				</div>
				<!-- end: .ipswb-field -->
			</div>
			<!-- end: .ipswb-field-row -->

	    <h4 class="ipswb-field-title mb0 py10">
	      <?php _e( 'Detail Popup Design', IPSWB_SLUG ); ?>
	    </h4>

	    <?php
      /*
       * Show/Hide Background Overlay
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-content-detail-overlay"><?php _e( 'Show/Hide Overlay', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipswb-onoff">
              <?php
              $val  = $this->setting->getSetting( 'content_detail_overlay', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipswb-btn-group">
                <button data-value="true" class="ipswb-btn-onoff<?php echo $clon; ?> ipswb-btn-on" type="button"><?php _e( 'Show', IPSWB_SLUG ); ?></button>
                <button data-value="false" class="ipswb-btn-onoff<?php echo $cloff; ?> ipswb-btn-off" type="button"><?php _e( 'Hide', IPSWB_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipswb-onoff-value" name="content_detail_overlay" value="<?php echo $val; ?>" />
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Determines whether to show/hide the background overlay.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Overlay Color
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-content-detail-overlay-color"><?php _e( 'Background Overlay Color', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'content_detail_overlay_color', '#000000' ) );
          ?>
          <input type="text" class="ipswb-color-picker" id="input-content-detail-overlay-color" name="content_detail_overlay_color" value="<?php echo $color; ?>" />

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set color for the overlay background.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Overlay opacity
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-content-detail-overlay-opacity"><?php _e( 'Background Overlay Opacity', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $opacity = $this->setting->getSetting( 'content_detail_overlay_opacity', 20 );
          $options = array(
              0    => __( 'None', IPSWB_SLUG ),
              10   => __( '10%', IPSWB_SLUG ),
              20   => __( '20%', IPSWB_SLUG ),
              30   => __( '30%', IPSWB_SLUG ),
              40   => __( '40%', IPSWB_SLUG ),
              50   => __( '50%', IPSWB_SLUG ),
              60   => __( '60%', IPSWB_SLUG ),
              70   => __( '70%', IPSWB_SLUG ),
              80   => __( '80%', IPSWB_SLUG ),
              90   => __( '90%', IPSWB_SLUG ),
          );
          ?>
          <select name="content_detail_overlay_opacity" id="input-content-detail-overlay-opacity">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $opacity ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Make transparency for the background overlay.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Popup Background Color
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-content-detail-bgcolor"><?php _e( 'Popup Background Color', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'content_detail_bgcolor', '#ffffff' ) );
          ?>
          <input type="text" class="ipswb-color-picker" id="input-content-detail-bgcolor" name="content_detail_bgcolor" value="<?php echo $color; ?>" />

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set color for the background of the popup.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Popup Border
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-content-detail-border-width"><?php _e( 'Popup Border', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color   = stripslashes( $this->setting->getSetting( 'content_detail_border_color', '#111111' ) );
          $bowidth = $this->setting->getSetting( 'content_detail_border_width', 0 );
          ?>
          <div class="ipswb-input-group mr5">
            <input type="text" id="input-content-detail-border-width" class="ipswb-input ipswb-input-xxs" name="content_detail_border_width" value="<?php echo $bowidth; ?>">
            <div class="ipswb-input-addon">px</div>
          </div>
          <input type="text" class="ipswb-color-picker" id="input-content-detail-border-color" name="content_detail_border_color" value="<?php echo $color; ?>" />

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Add border for the popup content.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      //Popup Border radius
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-content-detail-border-radius"><?php _e( 'Popup Border Radius', IPSWB_SLUG ); ?></label>
        </div>
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

            <select name="content_detail_border_radius" id="input-content-detail-border-radius">
            <?php
            $current = stripslashes( $this->setting->getSetting( 'content_detail_border_radius', 'none' ));
            $styles  = array(
                'none' => __( 'None', IPSWB_SLUG ),
                'xs'   => __( 'Extra Small', IPSWB_SLUG ),
                'sm'   => __( 'Small', IPSWB_SLUG ),
                'md'   => __( 'Medium', IPSWB_SLUG ),
                'lg'   => __( 'Large', IPSWB_SLUG )
            );
            foreach( $styles as $key => $label ) {
                $sltd = '';
                if ( $key == $current ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
            </select>

            <div class="ipswb-help">
              <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
                <div class="ipswb-help-content ipswb-hide">
                <?php _e( 'Add radius in the popup content.', IPSWB_SLUG ); ?>
              </div>
          </div>
        </div>
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Close Icon Color
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-content-detail-close-color"><?php _e( 'Close Icon Color', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'content_detail_close_color', '#dddddd' ) );
          ?>
          <input type="text" class="ipswb-color-picker" id="input-content-detail-close-color" name="content_detail_close_color" value="<?php echo $color; ?>" />

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set color for the close icon.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

    </div>
    <!-- end: .ipswb-fields -->

  </div>
</div>
