<?php
/**
 * Manage box style view
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipswb-section-footer" class="ipswb-tab-content">
  <div class="ipswb-tab-inner">

    <div class="ipswb-title-content ipswb-hide">
      <i class="ipswb-fa ipswb-fa-paint-brush"></i>
      <div class="ipswb-title-text">
        <h3><?php _e( 'Footer Design', IPSWB_SLUG ); ?></h3>
        <p><?php _e( 'Set the design of the footer section', IPSWB_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipswb-fields -->
    <div class="ipswb-fields">

      <?php
      /*
       * Show/Hide Footer
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-show-footer"><?php _e( 'Show/Hide Footer', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipswb-onoff">
              <?php
              $val  = $this->setting->getSetting( 'show_footer', 'true' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipswb-btn-group">
                <button data-value="true" class="ipswb-btn-onoff<?php echo $clon; ?> ipswb-btn-on" type="button"><?php _e( 'Show', IPSWB_SLUG ); ?></button>
                <button data-value="false" class="ipswb-btn-onoff<?php echo $cloff; ?> ipswb-btn-off" type="button"><?php _e( 'Hide', IPSWB_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipswb-onoff-value" name="show_footer" value="<?php echo $val; ?>" />
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Determines whether to show/hide the footer area.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Footer Height
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-footer-height"><?php _e( 'Footer Height', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $height = $this->setting->getSetting( 'footer_height', 48 );
          ?>
          <div class="ipswb-input-group mr5">
              <input type="text" id="input-footer-height" class="ipswb-input ipswb-input-xs" name="footer_height" value="<?php echo $height; ?>">
              <div class="ipswb-input-addon">px</div>
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set the height ( in pixel ) of the footer section.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Background Color
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-footer-background-color"><?php _e( 'Background Color', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'footer_background_color', '#dddddd' ) );
          ?>
          <input type="text" class="ipswb-color-picker" id="input-footer-background-color" name="footer_background_color" value="<?php echo $color; ?>" />

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set background color for the footer.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Top Border
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-footer-top-border-width"><?php _e( 'Top Border', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color   = stripslashes( $this->setting->getSetting( 'footer_top_border_color', '#111111' ) );
          $bowidth = $this->setting->getSetting( 'footer_top_border_width', 0 );
          ?>
          <div class="ipswb-input-group mr5">
            <input type="text" id="input-footer-top-border-width" class="ipswb-input ipswb-input-xxs" name="footer_top_border_width" value="<?php echo $bowidth; ?>">
            <div class="ipswb-input-addon">px</div>
          </div>
          <input type="text" class="ipswb-color-picker" id="input-footer-top-border-color" name="footer_top_border_color" value="<?php echo $color; ?>" />

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Add border in the top of footer area.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Text Color
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-footer-text-color"><?php _e( 'Text Color', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'footer_text_color', '#333333' ) );
          ?>
          <input type="text" class="ipswb-color-picker" id="input-footer-text-color" name="footer_text_color" value="<?php echo $color; ?>" />

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set text color for the footer content.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      //Font Family
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-footer-font-family"><?php _e( 'Font Family', IPSWB_SLUG ); ?></label>
        </div>
        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $current = $this->setting->getSetting( 'footer_font_family', 'roboto' );
          $fonts   = IPSwb_Font::getOptions();
          $fname   = IPSwb_Font::getFontName( $current );
          ?>
          <span class="ipswb-font-family">
            <div class="ipswb-menu ipswb-fancy-option">
              <div class="ipswb-selected">
                <div class="ipswb-selected-box">
                  <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                </div>
                <span class="toggle"></span>
              </div>
              <div class="ipswb-select" style="display: none;">
                <div class="ipswb-select-content">
                  <ul class="clearfix">
                    <?php
                    foreach( $fonts as $fkey => $label ) :
                    ?>
                    <li data-select="<?php echo $fkey; ?>">
                      <strong class="ipswb-select-label">
                        <?php echo $label; ?>
                      </strong>
                    </li>
                    <?php
                    endforeach;
                    ?>
                  </ul>
                </div>
              </div>
              <input type="hidden" name="footer_font_family" class="ipswb-input-select" value="<?php echo $current; ?>" />
            </div>
          </span>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'The font family of the footer content.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Font Size
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-footer-font-size"><?php _e( 'Font Size', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $size = absint( $this->setting->getSetting( 'footer_font_size', '12' ) );
          ?>
          <div class="ipswb-input-group mr5">
            <input type="text" id="input-footer-font-size" class="ipswb-input ipswb-input-xxs" name="footer_font_size" value="<?php echo $size; ?>">
            <div class="ipswb-input-addon">px</div>
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set font size of the footer content.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <h4 class="ipswb-field-title mb0 py10">
        <?php _e( 'Buttons Action', IPSWB_SLUG ); ?>
      </h4>

      <?php
      /*
       * Button Action Background Color
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-button-action-bgcolor">
            <?php _e( 'Button Background Color', IPSWB_SLUG ); ?>
          </label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'button_action_bgcolor', '#dddddd' ) );
          ?>
          <input type="text" class="ipswb-color-picker" id="input-button-action-bgcolor" name="button_action_bgcolor" value="<?php echo $color; ?>" />

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set the background color for the button action.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Button Action Hover Color
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-button-action-hover-color">
            <?php _e( 'Button Hover Background Color', IPSWB_SLUG ); ?>
          </label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'button_action_hover_color', '#000000' ) );
          ?>
          <input type="text" class="ipswb-color-picker" id="input-button-action-hover-color" name="button_action_hover_color" value="<?php echo $color; ?>" />

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set the background color for the button action when mouse hovering in button action.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Button Action Color
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-button-action-color">
            <?php _e( 'Button Text Color', IPSWB_SLUG ); ?>
          </label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'button_action_color', '#333333' ) );
          ?>
          <input type="text" class="ipswb-color-picker" id="input-button-action-color" name="button_action_color" value="<?php echo $color; ?>" />

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set the color for the button action.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Button Action Border Left
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-button-action-hover-color">
            <?php _e( 'Border Separator Left', IPSWB_SLUG ); ?>
          </label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color   = stripslashes( $this->setting->getSetting( 'button_action_border_color', '#cccccc' ) );
          $bowidth = $this->setting->getSetting( 'button_action_border_width', 0 );
          ?>
          <div class="ipswb-input-group mr5">
            <input type="text" id="input-button-action-border-width" class="ipswb-input ipswb-input-xxs" name="button_action_border_width" value="<?php echo $bowidth; ?>">
            <div class="ipswb-input-addon">px</div>
          </div>
          <input type="text" class="ipswb-color-picker" id="input-button-action-border-color" name="button_action_border_color" value="<?php echo $color; ?>" />

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Add border in the left of button action.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Show/Hide Date Info
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-show-footer-date-info"><?php _e( 'Show/Hide Date Info', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipswb-onoff">
              <?php
              $val  = $this->setting->getSetting( 'show_footer_date_info', 'true' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipswb-btn-group">
                <button data-value="true" class="ipswb-btn-onoff<?php echo $clon; ?> ipswb-btn-on" type="button"><?php _e( 'Show', IPSWB_SLUG ); ?></button>
                <button data-value="false" class="ipswb-btn-onoff<?php echo $cloff; ?> ipswb-btn-off" type="button"><?php _e( 'Hide', IPSWB_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipswb-onoff-value" name="show_footer_date_info" value="<?php echo $val; ?>" />
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Determines whether to show/hide the date information.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Show/Hide Button Detail
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-show-footer-button-detail"><?php _e( 'Show/Hide Button Detail', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipswb-onoff">
              <?php
              $val  = $this->setting->getSetting( 'show_footer_button_detail', 'true' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipswb-btn-group">
                <button data-value="true" class="ipswb-btn-onoff<?php echo $clon; ?> ipswb-btn-on" type="button"><?php _e( 'Show', IPSWB_SLUG ); ?></button>
                <button data-value="false" class="ipswb-btn-onoff<?php echo $cloff; ?> ipswb-btn-off" type="button"><?php _e( 'Hide', IPSWB_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipswb-onoff-value" name="show_footer_button_detail" value="<?php echo $val; ?>" />
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Determines whether to show/hide the button share.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Show/Hide Button Media
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-show-footer-button-media"><?php _e( 'Show/Hide Button Media', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipswb-onoff">
              <?php
              $val  = $this->setting->getSetting( 'show_footer_button_media', 'true' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipswb-btn-group">
                <button data-value="true" class="ipswb-btn-onoff<?php echo $clon; ?> ipswb-btn-on" type="button"><?php _e( 'Show', IPSWB_SLUG ); ?></button>
                <button data-value="false" class="ipswb-btn-onoff<?php echo $cloff; ?> ipswb-btn-off" type="button"><?php _e( 'Hide', IPSWB_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipswb-onoff-value" name="show_footer_button_media" value="<?php echo $val; ?>" />
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Determines whether to show/hide the button media.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

    </div>
    <!-- end: .ipswb-fields -->

  </div>
</div>
