<?php
/**
 * Manage media options view
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipswb-section-media" class="ipswb-tab-content">
  <div class="ipswb-tab-inner">

    <div class="ipswb-title-content ipswb-hide">
      <i class="ipswb-fa ipswb-fa-paint-brush"></i>
      <div class="ipswb-title-text">
        <h3><?php _e( 'Box Style', IPSWB_SLUG ); ?></h3>
        <p><?php _e( 'Set the style of the box', IPSWB_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipswb-fields -->
    <div class="ipswb-fields">

      <?php
      /*
       * Media Width
       */
      $dsp = ' style="display:none;"';
      $layout = $this->setting->getSetting( 'slideshow_layout', 'horizontal' );
      if ( $layout == 'vertical' ) {
        $dsp = '';
      }
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x ipswb-field-layout-vertical"<?php echo $dsp; ?>>
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-media-width"><?php _e( 'Media Width', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $height = $this->setting->getSetting( 'media_width', 240 );
          ?>
          <div class="ipswb-input-group mr5">
              <input type="text" id="input-media-width" class="ipswb-input ipswb-input-xs" name="media_width" value="<?php echo $height; ?>">
              <div class="ipswb-input-addon">px</div>
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set the width ( in pixel ) of the media content.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Media Height
       */
      $dsp = ' style="display:none;"';
      $layout = $this->setting->getSetting( 'slideshow_layout', 'horizontal' );
      if ( $layout == 'horizontal' ) {
        $dsp = '';
      }
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x ipswb-field-layout-horizontal"<?php echo $dsp; ?>>
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-media-height"><?php _e( 'Media Height', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $height = $this->setting->getSetting( 'media_height', 120 );
          ?>
          <div class="ipswb-input-group mr5">
              <input type="text" id="input-media-height" class="ipswb-input ipswb-input-xs" name="media_height" value="<?php echo $height; ?>">
              <div class="ipswb-input-addon">px</div>
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set the height ( in pixel ) of the media section.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Shrink
       *
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-media-shrink"><?php _e( 'Media Shrink', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $shrink  = $this->setting->getSetting( 'media_shrink', 'horizontal' );
          $options = array(
              'auto'        => __( 'Auto', IPSWB_SLUG ),
              'vertical'    => __( 'Shrink Vertically', IPSWB_SLUG ),
              'horizontal'  => __( 'Shrink Horizontally', IPSWB_SLUG )
          );
          ?>
          <select name="media_shrink" id="input-media-shrink">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $shrink ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set the shrink method of the media.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->
      */
      ?>

      <?php
      /*
       * Icon Color
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-media-icon-color"><?php _e( 'Icon Color', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'media_icon_color', '#ffffff' ) );
          ?>
          <input type="text" class="ipswb-color-picker" id="input-media-icon-color" name="media_icon_color" value="<?php echo $color; ?>" />

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set color for the icon.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Icon Size
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-media-icon-size"><?php _e( 'Icon Size', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $size    = $this->setting->getSetting( 'media_icon_size', 'md' );
          $options = array(
              'sm'    => __( 'Small', IPSWB_SLUG ),
              'md'    => __( 'Medium', IPSWB_SLUG ),
              'lg'    => __( 'Large', IPSWB_SLUG ),
              'xlg'   => __( 'Extra Large', IPSWB_SLUG )
          );
          ?>
          <select name="media_icon_size" id="input-media-icon-size">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $size ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set the size of the media icon.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <h4 class="ipswb-field-title mb0 py10">
        <?php _e( 'Hover Effect', IPSWB_SLUG ); ?>
      </h4>

      <?php
      /*
       * Overlay Color
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-media-hover-overlay-color"><?php _e( 'Overlay Color', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'media_hover_overlay_color', '#000000' ) );
          ?>
          <input type="text" class="ipswb-color-picker" id="input-media-hover-overlay-color" name="media_hover_overlay_color" value="<?php echo $color; ?>" />

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set color for the overlay background.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Overlay opacity
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-media-hover-overlay-opacity"><?php _e( 'Overlay Opacity', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $opacity = $this->setting->getSetting( 'media_hover_overlay_opacity', 20 );
          $options = array(
              0    => __( 'None', IPSWB_SLUG ),
              10   => __( '10%', IPSWB_SLUG ),
              20   => __( '20%', IPSWB_SLUG ),
              30   => __( '30%', IPSWB_SLUG ),
              40   => __( '40%', IPSWB_SLUG ),
              50   => __( '50%', IPSWB_SLUG ),
              60   => __( '60%', IPSWB_SLUG ),
              70   => __( '70%', IPSWB_SLUG ),
              80   => __( '80%', IPSWB_SLUG ),
              90   => __( '90%', IPSWB_SLUG ),
          );
          ?>
          <select name="media_hover_overlay_opacity" id="input-media-hover-overlay-opacity">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $opacity ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Make transparency for the background overlay.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Icon Size
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-media-hover-icon-size"><?php _e( 'Icon Size', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $size    = $this->setting->getSetting( 'media_hover_icon_size', 'md' );
          $options = array(
              'sm'    => __( 'Small', IPSWB_SLUG ),
              'md'    => __( 'Medium', IPSWB_SLUG ),
              'lg'    => __( 'Large', IPSWB_SLUG ),
              'xlg'   => __( 'Extra Large', IPSWB_SLUG )
          );
          ?>
          <select name="media_hover_icon_size" id="input-media-hover-icon-size">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $size ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set the size of the media icon.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <h4 class="ipswb-field-title mb0 py10">
        <?php _e( 'Media Detail Design', IPSWB_SLUG ); ?>
      </h4>

      <?php
      /*
       * Media Width
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-media-detail-width"><?php _e( 'Detail Media Width', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $width = $this->setting->getSetting( 'media_detail_width', 640 );
          ?>
          <div class="ipswb-input-group mr5">
              <input type="text" id="input-media-detail-width" class="ipswb-input ipswb-input-xs" name="media_detail_width" value="<?php echo $width; ?>">
              <div class="ipswb-input-addon">px</div>
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set the width ( in pixel ) of the large version of media.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Media Height
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-media-detail-height"><?php _e( 'Detail Media Height', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $height = $this->setting->getSetting( 'media_detail_height', 300 );
          ?>
          <div class="ipswb-input-group mr5">
              <input type="text" id="input-media-detail-height" class="ipswb-input ipswb-input-xs" name="media_detail_height" value="<?php echo $height; ?>">
              <div class="ipswb-input-addon">px</div>
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set the height ( in pixel ) of the large version of media.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Overlay Color
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-media-detail-overlay-color"><?php _e( 'Detail Overlay Color', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'media_detail_overlay_color', '#000000' ) );
          ?>
          <input type="text" class="ipswb-color-picker" id="input-media-detail-overlay-color" name="media_detail_overlay_color" value="<?php echo $color; ?>" />

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set color for the overlay background.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Overlay opacity
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-media-detail-overlay-opacity"><?php _e( 'Detail Overlay Opacity', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $opacity = $this->setting->getSetting( 'media_detail_overlay_opacity', 20 );
          $options = array(
              0    => __( 'None', IPSWB_SLUG ),
              10   => __( '10%', IPSWB_SLUG ),
              20   => __( '20%', IPSWB_SLUG ),
              30   => __( '30%', IPSWB_SLUG ),
              40   => __( '40%', IPSWB_SLUG ),
              50   => __( '50%', IPSWB_SLUG ),
              60   => __( '60%', IPSWB_SLUG ),
              70   => __( '70%', IPSWB_SLUG ),
              80   => __( '80%', IPSWB_SLUG ),
              90   => __( '90%', IPSWB_SLUG ),
          );
          ?>
          <select name="media_detail_overlay_opacity" id="input-media-detail-overlay-opacity">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $opacity ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Make transparency for the background overlay.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Close Icon Color
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-media-detail-close-color"><?php _e( 'Close Icon Color', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'media_detail_close_color', '#dddddd' ) );
          ?>
          <input type="text" class="ipswb-color-picker" id="input-media-detail-close-color" name="media_detail_close_color" value="<?php echo $color; ?>" />

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set color for the close icon.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

    </div>
    <!-- end: .ipswb-fields -->

  </div>
</div>
