<?php
/**
 * Manage style view
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$style = $this->style;
?>
<div id="ipswb-manage-style" class="wrap ipswb-wrap ipswb-admin">
  <div class="ipswb-inner">
    <?php
    if ( $style ) {
        $this->title = $style->post_title;
        $this->info  = '<i class="ipswb-fa ipswb-fa-calendar"></i> Created: ' .
            '<strong>' . mysql2date( 'd F Y, h:i', $style->post_date ) . '</strong>';

        $this->view( 'admin/general/header' );
    } else {
        $this->title = __( 'Add Style', IPSWB_SLUG );
        $this->info  = 'Add new style for your swift box';
        $this->view( 'admin/general/header' );
    }
    $form_action = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipswb=1&action=update_style';
    ?>
    <div class="ipswb-main">
      <div class="ipswb-main-info"></div>

      <div class="ipswb-primary">
        <div class="ipswb-manage-wrap ipswb-manage-sidebar">
          <form id="<?php echo $this->formId; ?>" class="ipswb-form-container ipswb-form" method="post" action="<?php echo $form_action; ?>" enctype="multipart/form-data">
            <input type="hidden" name="style_id" id="ipswb-value-styleid" value="<?php echo $this->styleId; ?>" />

            <div class="container-fluid container">

              <div class="ipswb-clear ipswb-tab">
                <?php
                $this->view( 'admin/style/nav' );
                ?>

                <div class="ipswb-manage-content">
                  <div class="ipswb-manage-info">
                    <div class="row">
                      <div class="col-md-8">
                        <div class="ipswb-tab-title">
                          <i class="ipswb-fa ipswb-fa-cogs"></i>
                          <div class="ipswb-title-text">
                            <h3> <?php _e( 'General', IPSWB_SLUG ); ?></h3>
                            <p> <?php _e( 'Basic settings and info of your styles', IPSWB_SLUG ); ?></p>
                          </div>
                        </div>
                      </div>
                      <div class="col-md-4">
                        <div class="ipswb-top-submit">
                          <button type="submit" class="ipswb-form-submit ipswb-btn ipswb-btn-secondary ipswb-btn-lg <?php echo $this->submitId; ?>" id="do-update-top" name="update_top">
                            <i class="ipswb-fa ipswb-fa-<?php echo $this->submitIcon; ?>"></i>
                            <strong> <?php echo $this->submitLabel; ?></strong>
                          </button>
                          <?php
                          if ( $style ) {
                            echo '<p class="ipswb-update-info">' .
                              __( 'Last Update', IPSWB_SLUG ) .
                              ': <strong>' . mysql2date( 'd F Y, h:i:s', $style->post_date ) . '</strong>' .
                            '</p>';
                          }
                          ?>
                        </div>
                      </div>
                    </div>
                  </div>

                  <?php
                  $this->view( 'admin/style/content' );
                  ?>

                  <div class="ipswb-manage-footer">
                    <div class="row">
                      <div class="col-md-6">
                        <div class="ipswb-bottom-submit">
                          <button type="submit" class="ipswb-form-submit ipswb-btn ipswb-btn-secondary ipswb-btn-lg <?php echo $this->submitId; ?>" id="do-update-bottom" name="update_bottom">
                            <i class="ipswb-fa ipswb-fa-<?php echo $this->submitIcon; ?>"></i>
                            <strong><?php echo $this->submitLabel; ?></strong>
                          </button>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="ipswb-bottom-action text-right">
                          <?php
                          if ( $style ) :
                          ?>
                          <a href="#" class="ipswb-btn ipswb-btn-danger ipswb-btn-lg ipswb-item-style-delete ipswb-delete-edit" data-id="<?php echo $style->ID; ?>">
                              <i class="ipswb-fa ipswb-fa-trash"></i>
                              <?php _e( 'Delete', IPSWB_SLUG ); ?>
                          </a>
                          <?php
                          endif;
                          ?>
                        </div>
                      </div>
                    </div>

                  </div>
                </div>
              </div>

            </div>

          </form>
        </div>
      </div>
    </div>
  </div>
</div>
