<?php
/**
 * Box detail popup
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! isset( $this->box ) || empty( $this->box )) {
	return;
}
$boxSt = new IPSwb_Setting( $this->box->ID, '__ipswb_box_setting' );
$style = $this->styleSetting;
$type  = $boxSt->getSetting( 'media_type', 'none' );
if ( $type == 'none' ) {
	return;
}
$vwidth = $boxSt->getSetting( 'video_width', 280 );

$dsp = ' style="display:none;"';
if ( isset( $this->inPage )) {
	$dsp = '';
}

$class  = 'ipswb-box-detail';
$class .= ' ipswb-popup-' . $style->getSetting( 'content_detail_position', 'relative' );
$class .= ' ipswb-radius-' . $style->getSetting( 'content_detail_border_radius', 'none' );

$popupPos = $style->getSetting( 'content_detail_position', 'relative' );
if ( $popupPos == 'fixed' && ( ! isset( $this->inPage ) || ! $this->inPage ) ) {
	$class .= ' ipswb-modal';
} else {
	$class .= ' ipswb-modal-inner';
}

$data  = '';
$data .= ' data-animation="' . $style->getSetting( 'media_detail_animation', 'slideDown' ) . '"';
$data .= ' data-audio="' . $style->getSetting( 'media_click_audio', 0 ) . '"';
?>

<!-- start: .ipswb-box-detail -->
<div id="ipswb-box-detail-<?php echo $this->box->ID; ?>" class="<?php echo $class; ?>"<?php echo $data; ?><?php echo $dsp; ?>>
	<div class="ipswb-box-detail-inner ipswb-modal-inner">
	
		<!-- start: .ipswb-box-detail-main -->
		<div class="ipswb-box-detail-main ipswb-modal-main">
			<?php
			$pl  = $vwidth;
			$pl += $style->getSetting( 'content_padding', 0 );
			$pl += 20;
			?>
			<div class="ipswb-box-detail-content" style="padding-left:<?php echo $pl; ?>px;">

				<!-- start: .ipswb-detail-primary -->
				<div class="ipswb-detail-primary">

					<!-- start: .ipswb-content-main -->
					<div class="ipswb-content-main">
						<h3 class="ipswb-box-title">
							<?php 
							$title = $this->box->post_title;
							echo $title;
							?>
						</h3>
						<div class="ipswb-box-desc">
							<?php 
							$desc = $this->box->post_content;
							echo $desc; 
							?>
						</div>
					</div>
					<!-- end: .ipswb-content-main -->

					<!-- start: .ipswb-box-detail-footer -->
					<div class="ipswb-box-detail-footer">
						<div class="ipswb-box-footer-inner ipswb-clearfix">

						<div class="ipswb-box-footer-date">
							<?php 
							echo $boxSt->getSetting( 'box_date_info' );
							?>
						</div>
						<!-- start: .ipswb-box-actions -->
						<div class="ipswb-box-actions">
							<div class="clearfix">

								<?php 
								//Button media
								if ( $style->getSetting( 'show_footer_button_media', 'true' ) == 'true' ) :
								?>
								<div class="ipswb-box-action ipswb-action-media">
									<a href="#" data-id="<?php echo $this->box->ID; ?>" class="ipswb-action-link">
										<i class="ipswb-fa ipswb-fa-play"></i>
									</a>
								</div>
								<?php
								endif;
								?>

							</div>
						</div>
						<!-- end: .ipswb-box-actions -->

						</div>
					</div>
					<!-- end: .ipswb-box-detail-footer -->

				</div>
				<!-- end: .ipswb-detail-primary -->

				<!-- start: .ipswb-detail-secondary -->
				<?php
				$padding = $style->getSetting( 'content_padding', 0 );
				$css  = 'width:' . $vwidth . 'px;';
				$css .= 'top:' . $padding . 'px;';
				$css .= 'left:' . $padding . 'px;';
				?>
				<div class="ipswb-detail-secondary" style="<?php echo $css; ?>">

					<!-- start: .ipswb-content-media -->
					<div class="ipswb-content-media">

						<?php
						$type  = $boxSt->getSetting( 'media_type', 'none' );
						if ( $type == 'video' ) :
							$videoUrl = $this->getYoutubeUrl( $boxSt );
							$width    = $boxSt->getSetting( 'video_width', 280 );
							$height   = $boxSt->getSetting( 'video_width', 200 );
						?>
							<div class="ipswb-media-main">
								<iframe
						      width="<?php echo $width; ?>"
						      height="<?php echo $height; ?>"
						      src="<?php echo $videoUrl; ?>"
						      frameborder="0"
						      allowfullscreen>
						    </iframe>
					    </div>
						<?php
						else :

							$imgurl = false;
							if ( $img = $boxSt->getSetting( 'media_image_large' ))
							{
							  $data = wp_get_attachment_image_src( $img, 'full' );
							  if ( ! empty( $data[0] )) {
							    $imgurl = $data[0];
							  }
							}
						?>
							<div class="ipswb-media-main">
								<img src="<?php echo $imgurl; ?>" alt="">
							</div>
						<?php
						endif;
						?>

					</div>
					<!-- end: .ipswb-content-media -->
				</div>
				<!-- end: .ipswb-detail-secondary -->

			</div>

			<?php
			if ( ! isset( $this->inPage ) || ! $this->inPage ) :
			?>
			<a href="" class="ipswb-box-detail-close ipswb-modal-close">
				<i class="ipswb-fa ipswb-fa-times"></i>
			</a>
			<?php
			endif;
			?>

		</div>
		<!-- end: .ipswb-box-detail-main -->

	</div>
	<?php
	if ( $style->getSetting( 'content_detail_overlay', 'false' ) == 'true' ) :
	?>
	<div class="ipswb-overlay"></div>
	<?php
	endif;
	?>
</div>
<!-- end: .ipswb-box-detail -->