<?php
/**
 * Box media item
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! isset( $this->box ) || empty( $this->box )) {
	return;
}
$boxSt = $this->boxSetting;
$style = $this->styleSetting;
$type  = $boxSt->getSetting( 'media_type', 'none' );
if ( $type == 'none' ) {
	return;
}

$class = 'ipswb-media-detail ipswb-modal';

$data  = '';
$data .= ' data-animation="' . $style->getSetting( 'media_detail_animation', 'slideDown' ) . '"';
$data .= ' data-audio="' . $style->getSetting( 'media_click_audio', 0 ) . '"';
?>

<!-- start: .ipswb-media-detail -->
<div id="ipswb-media-detail-<?php echo $this->box->ID; ?>" class="<?php echo $class; ?>"<?php echo $data; ?>>
	<div class="ipswb-media-detail-inner ipswb-modal-inner">
		<div class="ipswb-media-content ipswb-modal-main">

		<?php
		if ( $type == 'video' ) :
			$videoUrl = $this->getYoutubeUrl( $boxSt );
			$width    = $boxSt->getSetting( 'media_detail_width', 640 );
			$height   = $boxSt->getSetting( 'media_detail_height', 300 );
		?>
			<div class="ipswb-media-main">
				<iframe
					id="ipswb-media-detail-<?php echo $this->box->ID; ?>-video"
		      width="<?php echo $width; ?>"
		      height="<?php echo $height; ?>"
		      src="<?php echo $videoUrl; ?>"
		      frameborder="0"
		      allowfullscreen>
		    </iframe>
	    </div>

		<?php
		else :

			$imgurl = false;
			if ( $img = $boxSt->getSetting( 'media_image_large' ))
			{
			  $data = wp_get_attachment_image_src( $img, 'full' );
			  if ( ! empty( $data[0] )) {
			    $imgurl = $data[0];
			  }
			}
		?>

			<div class="ipswb-media-main">
				<img src="<?php echo $imgurl; ?>" alt="">
			</div>

		<?php
		endif;
		?>

		<a href="" class="ipswb-media-detail-close ipswb-modal-close">
			<i class="ipswb-fa ipswb-fa-times"></i>
		</a>

		</div>
	</div>

	<div class="ipswb-overlay"></div>
</div>
<!-- end: .ipswb-box-media -->