<?php
/**
 * Box media item
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! isset( $this->box ) || empty( $this->box )) {
	return;
}
$boxSt = $this->boxSetting;
$style = $this->styleSetting;
$type  = $boxSt->getSetting( 'media_type', 'none' );
if ( $type == 'none' ) {
	return;
}

$class  = 'ipswb-box-media';
$class .= ' ipswb-box-media-' . $type;
$class .= ' ipswb-icon-' . $style->getSetting( 'media_icon_size', 'md' );
$class .= ' ipswb-icon-hover-' . $style->getSetting( 'media_hover_icon_size', 'md' );
$class .= ' ipswb-animation-' . $style->getSetting( 'media_hover_animation', 'fade' );

$data  = '';
$data .= ' data-animation="' . $style->getSetting( 'media_hover_animation', 'fade' ) . '"';
?>

<!-- start: .ipswb-box-media -->
<div class="<?php echo $class; ?>"<?php echo $data; ?>>
	<div class="ipswb-media-inner">
		<a href="#ipswb-media-detail-<?php echo $this->box->ID; ?>"<?php echo $data; ?>>

			<?php
			if ( $type == 'video' ) {
				$inputName = 'media_video_cover';
			} else {
				$inputName = 'media_image_cover';
			}

			$imgurl = false;
			if ( $img = $boxSt->getSetting( $inputName ))
			{
			  $data = wp_get_attachment_image_src( $img, 'full' );
			  if ( ! empty( $data[0] )) {
			    $imgurl = $data[0];
			  }
			}
			?>

			<div class="ipswb-media-cover">
				<img src="<?php echo $imgurl; ?>" alt="">
			</div>
			<div class="ipswb-media-overlay">
				<div class="ipswb-overlay-layer"></div>
				<div class="ipswb-overlay-icon">
					<?php
					if ( $type == 'image' ) {
						$icon = 'search-plus';
					} else {
						$icon = 'play-circle-o';
					}
					?>
					<i class="ipswb-fa ipswb-fa-<?php echo $icon; ?>"></i>
				</div>
			</div>

		</a>
	</div>
</div>
<!-- end: .ipswb-box-media -->