<?php
/**
 * Controller to handling get chart
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPSwb_Ajax_Getchart' ))
{
  class IPSwb_Ajax_Getchart
  {
    /**
     * Execution save options process
     *
     * @return void
     */
    public function exec()
    {
      $data = array_merge( $_POST, $_GET );
      if ( ! empty( $data['pageid'] ) && ! empty( $data['type'] ))
      {
        $widgetId  = absint( $data['pageid'] );
        $type      = apply_filters( 'pre_term_name', $data['type'] );
        $dateStart = false;
        $dateEnd   = false;
        if ( ! empty( $data['start'] ) && ! empty( $data['end'] )) {
            $timeEnd   = strtotime( $data['end'] );
            $timeStart = strtotime( $data['start'] );
            $dateStart = gmdate("Y-m-d", $timeStart);
            $dateEnd   = gmdate("Y-m-d", $timeEnd);
        }
        $model     = new IPSwb_Model_Stat();
        $chart     = array();
        $results   = $model->getStatisticData( $widgetId, $type, $dateStart, $dateEnd );

        if ( ! empty( $results )) 
        {
          foreach( $results as $data ) 
          {
            $timestamp = strtotime( $data->gdate );
            $phpdate   = getdate($timestamp);

            $value   = (int)$data->value;
            $chart[] = array(
              'value'    => $value,
              'year'     => $phpdate['year'],
              'mon'      => $phpdate['mon'] - 1,
              'day'      => $phpdate['mday'],
            );
          }
        }
        if ( $type == 'slide_view' ) {
          $label = __( 'Slide Views', IPSWB_SLUG );
        } elseif ( $type == 'media_view' ) {
          $label = __( 'Media Views', IPSWB_SLUG );
        } elseif ( $type == 'detail_view' ) {
          $label = __( 'Detail Views', IPSWB_SLUG );
        } elseif ( $type == 'share' ) {
          $label = __( 'Share', IPSWB_SLUG );
        } else {
          $label = __( 'Data', IPSWB_SLUG );
        }
        echo json_encode( array(
          'status'      => 1,
          'labelDate'   => __( 'Date', IPSWB_SLUG ),
          'labelValue'  => $label,
          'data'        => $chart
        ) );
      }
      else
      {
        echo json_encode( array(
          'status' => 0
        ) );
      }
      die();
    }
  }
}
