<?php
/**
 * Controller to handling updating boxes process
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPSwb_Ajax_Update_boxes' ))
{
	class IPSwb_Ajax_Update_boxes
	{
		/**
		 * Execution save options process
		 *
		 * @return void
		 */
		public function exec()
		{
			$redirect = false;
			$is_add   = false;
			$error    = true;
			if ( ! empty( $_POST['isadd'] )) {
					$is_add = true;
			}
			if ( ! empty( $_POST['boxes_id'] )) {
					$boxesId = absint( $_POST['boxes_id'] );
					if ( $boxes = get_post( $boxesId ) ) {
							$this->_updateBoxes( $boxes );
					} else {
							$boxesId = 0;
					}
			} else {
					$boxesId = $this->_addBoxes();
			}
			if ( $boxesId )
			{
					$error = false;
					$model = new IPSwb_Model();
					$model->saveSetting( $boxesId );
			}
			if ( $error ) {
					$status   = 0;
					$boxesId  = 0;
					if ( $is_add ) {
							$message = __( 'Failed create slideshow.', IPSWB_SLUG );
					} else {
							$message = __( 'Failed save slideshow.', IPSWB_SLUG );
					}
			} else {
					$status = 1;
					if ( $is_add ) {
							$message  = __( 'Successfully created slideshow.', IPSWB_SLUG );
							$redirect = admin_url() . 'admin.php?page=' . IPSWB_PAGENAME . '&action=edit&id=' . $boxesId . '&create=1';
					} else {
							$message = __( 'Successfully saved slideshow.', IPSWB_SLUG );
					}
			}

			$result = array(
					'status'    => $status,
					'message'   => $message,
					'boxesid'  	=> $boxesId
			);
			if ( $redirect ) {
					$result['redirect'] = $redirect;
			}
			echo json_encode( $result );
			die();
		}

		/**
		 * Add new boxes
		 *
		 * @return int
		 */
		protected function _addBoxes()
		{
			global $user_ID;

			if ( empty( $_POST['box_name'] )) {
					$title = 'Unknown';
			} else {
					$title = apply_filters( 'single_post_title', $_POST['box_name'] );
			}

			$dataPost = array(
				'post_status'  => 'publish',
				'post_type'    => 'ipswb_boxes',
				'post_author'  => $user_ID,
				'post_title'   => $title,
				'post_content' => ''
			);
			$result = wp_insert_post( $dataPost );
			return $result;
		}

		/**
		 * Update boxes
		 *
		 * @param  object $boxes
		 * @return boolean
		 */
		protected function _updateBoxes( $boxes )
		{
			$result   = 0;
			$dataPost = array();
			if ( ! empty( $_POST['box_name'] ) && $_POST['box_name'] != $boxes->post_title ) {
					$dataPost['post_title'] = apply_filters( 'single_post_title', $_POST['box_name'] );
			}
			if ( ! empty( $dataPost )) {
					$dataPost['ID'] = $boxes->ID;
					$result = wp_update_post( $dataPost );
			}
			return $result;
		}
	}
}
