<?php
/**
 * Class for create list boxes
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPSwb_List_Boxes' )) 
{
  class IPSwb_List_Boxes extends IPSwb_List
  {
    //{{ _getData

    /**
     * Get data
     *
     * @return void
     */
    protected function _getData()
    {
      $page     = $this->_page;
      $per_page = $this->_perPage;
      $args = array(
          'orderby'        => 'post_date',
          'order'          => 'DESC',
          'post_type'      => 'ipswb_boxes',
          'post_status'    => array('publish','draft'),
          'posts_per_page' => $per_page,
          'paged'          => $page
      );
      $query = new WP_Query;
      $this->_result = $query->query( $args );
      $this->_query  = $query;
      $this->_total  = $query->found_posts;
      $this->_total_page = $this->_getTotalPage();
      return $this->_result;
    }

    //}}
    //{{ _getItemAction

    /**
     * Get item action
     *
     * @param  object $item
     * @param  int    $index
     * @return string
     */
    protected function _getItemAction( $item, $index )
    {
      $itemId  = $this->_getListItemId( $item );
      $result  =
        '<div class="col-sm-6">' .
          '<div class="ipswb-item-action ipswb-clear text-right">' .
            $this->_getItemStat( $item, $index ) .

            '<div class="ipswb-item-nav ipswb-fademenu">' .
              '<div class="ipswb-fademenu-inner">' .
                '<div class="ipswb-nav-label ipswb-fademenu-button">' .
                  '<a class="ipswb-menu-link" href="#"><i class="ipswb-fa ipswb-fa-bars"></i></a>' .
                '</div>' .
                '<ul class="ipswb-submenu ipswb-fademenu-content">' .
                  '<li>' .
                    '<a href="' . $this->_getLinkEdit( $item ) . '" class="ipswb-btn ipswb-btn-xs ipswb-btn-success">' .
                      '<i class="ipswb-fa ipswb-fa-pencil"></i>' .
                       __( 'Edit Slideshow', IPSWB_SLUG ) .
                    '</a>' .
                  '</li>' .
                  '<li>' .
                    '<a href="#" class="ipswb-btn ipswb-btn-xs ipswb-btn-danger ipswb-item-boxes-delete" data-id="' . $itemId . '">' .
                      '<i class="ipswb-fa ipswb-fa-trash"></i>' .
                      __( 'Delete Slideshow', IPSWB_SLUG ) .
                    '</a>' .
                  '</li>' .
                '</ul>' .
              '</div>' .
            '</div>' .
          '</div>' .
        '</div>';
      return $result;
    }

    //}}
    //{{ _getLinkEdit

    /**
     * Get link edit
     *
     * @param  object $item
     * @return string
     */
    protected function _getLinkEdit( $item )
    {
      $link = admin_url() . 'admin.php?page=' . IPSWB_PAGENAME . '&action=edit&id=' . $item->ID;
      return $link;
    }

    //}}
    //{{ _getPaginationLink

    /**
     * Get pagination link
     *
     * @param  int $page
     * @return string
     */
    protected function _getPaginationLink( $page )
    {
      $link = admin_url() . 'admin.php?page=' . IPSWB_PAGENAME . '&paged=' . $page;
      return $link;
    }

    //}}
  }

}