<?php
/**
 * Class model box
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPSwb_Model_Box' )) {

  /**
   * Class for manage post setting
   */
  class IPSwb_Model_Box
  {
    /**
     * Save setting box
     *
     * @param  int $boxId
     * @param  int $sliderId
     * @return void
     */
    public function saveSetting( $boxId, $sliderId )
    {
      $boxId    = absint( $boxId );
      $sliderId = absint( $sliderId );
      $data     = $this->_getSettingData( $sliderId );
      $setting  = new IPSwb_Setting( $boxId, '__ipswb_box_setting' );
      $result   = $setting->setSettings( $data );
      return $result;
    }

    /**
     * Get setting data
     *
     * @param  int $sliderId
     * @return array
     */
    protected function _getSettingData( $sliderId )
    {
      $setting = array();
      $data    = array_merge( $_POST, $_GET );

      //Media
      //
      if ( isset( $data['box_date_info'] )) {
        $setting['box_date_info'] = 
          apply_filters( 'single_post_title', $data['box_date_info'] );
      }
      if ( isset( $data['media_type'] )) {
        $setting['media_type'] = apply_filters( 'pre_term_name', $data['media_type'] );
      }
      if ( isset( $data['media_image_cover'] )) {
        $setting['media_image_cover'] = absint( $data['media_image_cover'] );
      }
      if ( isset( $data['media_image_large'] )) {
        $setting['media_image_large'] = absint( $data['media_image_large'] );
      }
      if ( isset( $data['media_video_cover'] )) {
        $setting['media_video_cover'] = absint( $data['media_video_cover'] );
      }
      if ( isset( $data['youtube_url'] )) {
        $setting['youtube_url'] = apply_filters( 'pre_link_url', $data['youtube_url'] );
      }
      if ( isset( $data['youtube_start'] )) {
        $setting['youtube_start'] = absint( $data['youtube_start'] );
      }
      if ( isset( $data['video_autoplay'] )) {
        $setting['video_autoplay'] = 
          apply_filters( 'pre_term_name', $data['video_autoplay'] );
      }

      return $setting;
    }
  }
}
?>
