<?php
/**
 * Manage promo view
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipswb-section-promo" class="ipswb-tab-content">
  <div class="ipswb-tab-inner">

    <div class="ipswb-title-content ipswb-hide">
      <i class="ipswb-fa ipswb-fa-cogs"></i>
      <div class="ipswb-title-text">
        <h3><?php _e( 'Promo', IPSWB_SLUG ); ?></h3>
        <p><?php _e( 'Set the turn slideshow for promotion', IPSWB_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipswb-fields -->
    <div class="ipswb-fields">

      <?php
      /*
       * Slideshow
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-promo-slideshow"><?php _e( 'Slideshow Replacement', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $current = $this->setting->getSetting( 'promo_slideshow' );
          ?>
          <select name="promo_slideshow" id="input-promo-slideshow">
            <?php
            if ( ! empty( $this->slides ))
            {
              foreach( $this->slides as $slide )
              {
                if ( $slide->ID == $this->box->ID ) {
                  continue;
                }
                $sltd = '';
                if ( $slide->ID == $current ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $slide->ID . '"' . $sltd . '>' . $slide->post_title . '</option>';
              }
            }
            ?>
          </select>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set the slideshow which replaces the current slideshow during the promotion period.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Start Time
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-promo-start"><?php _e( 'Start Time', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $sett     = $this->setting;
          $currdate = current_time( 'Y/m/d' );
          $currtime = current_time( 'H:i' );
          $date = $sett->getSetting( 'promo_start_date', $currdate );
          $time = $sett->getSetting( 'promo_start_time', $currtime );
          ?>
          <div class="ipswb-input-group mr5">
            <input type="text" value="<?php echo $date; ?>" name="promo_start_date" class="ipswb-input ipswb-input-sm ipswb-date-picker" id="input-promo-start-date" readonly>
            <div class="ipswb-input-addon"><i class="ipswb-fa ipswb-fa-calendar"></i></div>
          </div>
          @
          <div class="ipswb-input-group ml5">
            <input type="text" value="<?php echo $time; ?>" name="promo_start_time" class="ipswb-input ipswb-input-xs ipswb-time-picker" id="input-promo-start-time" readonly>
            <div class="ipswb-input-addon"><i class="ipswb-fa ipswb-fa-clock-o"></i></div>
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set the start time of the promotion period.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * End Time
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-promo-end"><?php _e( 'End Time', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $sett     = $this->setting;
          $currdate = current_time( 'Y/m/d' );
          $currtime = current_time( 'H:i' );
          $date = $sett->getSetting( 'promo_end_date', $currdate );
          $time = $sett->getSetting( 'promo_end_time', $currtime );
          ?>
          <div class="ipswb-input-group mr5">
            <input type="text" value="<?php echo $date; ?>" name="promo_end_date" class="ipswb-input ipswb-input-sm ipswb-date-picker" id="input-promo-end-date" readonly>
            <div class="ipswb-input-addon"><i class="ipswb-fa ipswb-fa-calendar"></i></div>
          </div>
          @
          <div class="ipswb-input-group ml5">
            <input type="text" value="<?php echo $time; ?>" name="promo_end_time" class="ipswb-input ipswb-input-xs ipswb-time-picker" id="input-promo-end-time" readonly>
            <div class="ipswb-input-addon"><i class="ipswb-fa ipswb-fa-clock-o"></i></div>
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set the end time of the promotion period.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

    </div>
    <!-- end: .ipswb-fields -->

  </div>
</div>