<?php
/**
 * Admin setting view
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipswb-setting" class="wrap ipswb-wrap ipswb-admin">
  <div class="ipswb-inner">

    <?php
    $this->view( 'admin/general/header' );
    ?>

    <div class="ipswb-main">
      <div class="ipswb-main-info"></div>

      <div class="ipswb-primary">
        <div class="ipswb-manage-wrap">
          <?php
          $formAction = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipswb=1&action=setting';
          ?>
          <form id="ipswb-form-setting" class="ipswb-form-container ipswb-form" method="post" action="<?php echo $formAction; ?>" enctype="multipart/form-data">

            <div class="container-fluid container">
              <div class="mb40">

                <h3 class="ipswb-field-title mb20 py10">
                  <?php _e( 'Result Permalink', IPSWB_SLUG ); ?>
                </h3>
                <p><?php _e( 'Set the base path permalink for all your result page:', IPSWB_SLUG ); ?></p>

                <!-- start: .fields -->
                <div class="fields">

                  <!-- start: .ipswb-field-row -->
                  <div class="ipswb-field-row ipswb-field-x">
                    <div class="ipswb-form-label col-lg-2 col-md-3 col-sm-4">
                      <label for="input-result-base-path"><?php _e( 'Result Page Base Path', IPSWB_SLUG ); ?></label>
                    </div>
                    <div class="ipswb-field col-lg-6 col-md-8 col-sm-8">
                      <?php
                      $resultPath = get_option( '__ipswb_base_path', 'result' );
                      ?>
                      <input type="text" id="input-result-base-path" class="ipswb-input ipswb-input-full" name="result_base_path" value="<?php echo $resultPath; ?>">
                    </div>
                  </div>
                  <!-- start: .ipswb-field-row -->
                </div>

              </div>
              <!-- end: .fields -->

              <h3 class="ipswb-field-title mb20 py10">
                <?php _e( 'General Widgets', IPSWB_SLUG ); ?>
              </h3>
              <p><?php _e( 'Show widgets in all page. If it is determined that all of the settings of widget object in every page of the website will be ignored.', IPSWB_SLUG ); ?></p>

              <!-- start: .fields -->
              <div class="fields">

                <?php
                /*
                 * Widget
                 */
                ?>
                <!-- start: .ipswb-field-row -->
                <div class="ipswb-field-row ipswb-field-x">
                  <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-general-widget"><?php _e( 'Widget', IPSWB_SLUG ); ?></label>
                  </div>

                  <!-- start: .ipswb-field -->
                  <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

                    <select name="general_widget" id="input-general-widget">
                      <option value="0"><?php _e( 'None', IPSWB_SLUG ); ?></option>
                      <?php
                      $current = get_option( '__ipswb_general_widget' );
                      if ( ! empty( $this->widgets ))
                      {
                        foreach( $this->widgets as $widget )
                        {
                          $sltd = '';
                          if ( $widget->ID == $current ) {
                            $sltd = ' selected="selected"';
                          }
                          echo '<option value="' . $widget->ID . '"' . $sltd . '>' . $widget->post_title . '</option>';
                        }
                      }
                      ?>
                    </select>
                  </div>
                  <!-- end: .ipswb-field -->
                </div>
                <!-- end: .ipswb-field-row -->

              </div>
              <!-- end: .fields -->

              <h3 class="ipswb-field-title mb20 py10">
                <?php _e( 'Home Widgets', IPSWB_SLUG ); ?>
              </h3>
              <p><?php _e( 'Set some options in bellow to show widgets in your homepage.', IPSWB_SLUG ); ?></p>

              <!-- start: .fields -->
              <div class="fields">

                <?php
                /*
                 * Widget
                 */
                ?>
                <!-- start: .ipswb-field-row -->
                <div class="ipswb-field-row ipswb-field-x">
                  <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-home-widget"><?php _e( 'Widget', IPSWB_SLUG ); ?></label>
                  </div>

                  <!-- start: .ipswb-field -->
                  <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

                    <select name="home_widget" id="input-home-widget">
                      <option value="0"><?php _e( 'None', IPSWB_SLUG ); ?></option>
                      <?php
                      $current = get_option( '__ipswb_home_widget' );
                      if ( ! empty( $this->widgets ))
                      {
                        foreach( $this->widgets as $widget )
                        {
                          $sltd = '';
                          if ( $widget->ID == $current ) {
                            $sltd = ' selected="selected"';
                          }
                          echo '<option value="' . $widget->ID . '"' . $sltd . '>' . $widget->post_title . '</option>';
                        }
                      }
                      ?>
                    </select>
                  </div>
                  <!-- end: .ipswb-field -->
                </div>
                <!-- end: .ipswb-field-row -->

              </div>
              <!-- end: .fields -->

              <div class="ipswb-form-footer">
                <div class="row">
                  <div class="col-md-6">
                    <div class="ipswb-bottom-submit">
                      <button type="submit" class="ipswb-form-submit ipswb-btn ipswb-btn-secondary ipswb-btn-lg" id="do-save-setting" name="save_setting">
                        <i class="ipswb-fa ipswb-fa-floppy-o"></i>
                        <strong><?php _e( 'Save Change', IPSWB_SLUG ); ?></strong>
                      </button>
                    </div>
                  </div>
                  <div class="col-md-6">
                  </div>
                </div>

              </div>

            </div>
          </form>
        </div>
      </div>

    </div>

  </div>

</div>
