<?php
/**
 * Admin content general view
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipswb-section-general" class="ipswb-tab-content">
  <div class="ipswb-tab-inner">

    <div class="ipswb-title-content ipswb-hide">
      <i class="ipswb-fa ipswb-fa-cogs"></i>
      <div class="ipswb-title-text">
        <h3><?php _e( 'General', IPSWB_SLUG ); ?></h3>
        <p><?php _e( 'Basic settings and info of your style', IPSWB_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipswb-fields -->
    <div class="ipswb-fields">

      <?php
      /*
       * Name
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x ipswb-help-abs">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-style-name"><?php _e( 'Style Name', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $name = '';
          if ( $this->style ) {
            $name = stripslashes( $this->style->post_title );
          }
          ?>
          <input type="text" id="input-style-name" class="ipswb-input ipswb-input-full ipswb-input-v-lg" name="style_name" value="<?php echo $name; ?>">

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide"><?php _e( 'The name of the style. This data will not be used directly in creating style, only to mark the style, so it easier for you to manage it.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Layout
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-slideshow-layout"><?php _e( 'Slideshow Layout', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $layout  = $this->setting->getSetting( 'slideshow_layout', 'horizontal' );
          $options = array(
              'horizontal' => __( 'Horizontal', IPSWB_SLUG ),
              'vertical'   => __( 'Vertical', IPSWB_SLUG )
          );
          ?>
          <select name="slideshow_layout" id="input-slideshow-layout">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $layout ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set the layout of the swift box.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Layout
       */

      $dsp = ' style="display:none;"';
      if ( $layout == 'horizontal' ) {
        $dsp = '';
      }
      ?>
      <!-- start: .ipswb-field-row -->
      <div id="ipswb-layout-horizontal" class="ipswb-field-row ipswb-field-x"<?php echo $dsp; ?>>
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-box-layout-horizontal"><?php _e( 'Box Layout', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $hlayout = $this->setting->getSetting( 'box_layout_horizontal', 'top' );
          $options = array(
              'top'    => __( 'Media in Top', IPSWB_SLUG ),
              'middle' => __( 'Media in Middle', IPSWB_SLUG ),
              'bottom' => __( 'Footer in Top', IPSWB_SLUG )
          );
          ?>
          <select name="box_layout_horizontal" id="input-box-layout-horizontal">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $hlayout ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set the layout of the swift box.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      $dsp = ' style="display:none;"';
      if ( $layout == 'vertical' ) {
        $dsp = '';
      }
      ?>
      <!-- start: .ipswb-field-row -->
      <div id="ipswb-layout-vertical" class="ipswb-field-row ipswb-field-x"<?php echo $dsp; ?>">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-box-layout-vertical"><?php _e( 'Box Layout', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $vlayout = $this->setting->getSetting( 'box_layout_vertical', 'left' );
          $options = array(
              'left'   => __( 'Media in Left', IPSWB_SLUG ),
              'right'  => __( 'Media in Right', IPSWB_SLUG )
          );
          ?>
          <select name="box_layout_vertical" id="input-box-layout-vertical">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $vlayout ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set the layout of the swift box.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Item Count
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-item-count"><?php _e( 'Item Count', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $count   = $this->setting->getSetting( 'item_count', 2 );
          $options = range(2,4);
          ?>
          <select name="item_count" id="input-item-count">
            <?php
            foreach( $options as $key )
            {
                $sltd = '';
                if ( $key == $count ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $key . '</option>';
            }
            ?>
          </select>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set count of the box item that displaying in page.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->
      
    </div>
    <!-- end: .ipswb-fields -->

  </div>
</div>
