<?php
/**
 * Admin content slider view
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipswb-section-slider" class="ipswb-tab-content">
  <div class="ipswb-tab-inner">

    <div class="ipswb-title-content ipswb-hide">
      <i class="ipswb-fa ipswb-fa-magic"></i>
      <div class="ipswb-title-text">
        <h3><?php _e( 'Slider', IPSWB_SLUG ); ?></h3>
        <p><?php _e( 'Set the slider behaviour.', IPSWB_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipswb-fields -->
    <div class="ipswb-fields">

      <?php
      /*
       * Slideshow Speed
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-slideshow-speed"><?php _e( 'Slideshow Speed', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $speed = $this->setting->getSetting( 'slideshow_speed', 5000 );
          ?>
          <div class="ipswb-input-group mr5">
              <input type="text" id="input-slideshow-speed" class="ipswb-input ipswb-input-xs" name="slideshow_speed" value="<?php echo $speed; ?>">
              <div class="ipswb-input-addon">millisecond</div>
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set speed (in millisecond) for slideshow.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Animation Speed
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-slider-animation-speed"><?php _e( 'Animation Speed', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $speed = $this->setting->getSetting( 'slider_animation_speed', 1000 );
          ?>
          <div class="ipswb-input-group mr5">
              <input type="text" id="input-slider-animation-speed" class="ipswb-input ipswb-input-xs" name="slider_animation_speed" value="<?php echo $speed; ?>">
              <div class="ipswb-input-addon">millisecond</div>
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Set speed (in millisecond) for slideshow.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Autoplay
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-slider-autoplay"><?php _e( 'Autoplay', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipswb-onoff">
              <?php
              $val  = $this->setting->getSetting( 'slider_autoplay', 'true' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipswb-btn-group">
                <button data-value="true" class="ipswb-btn-onoff<?php echo $clon; ?> ipswb-btn-on" type="button"><?php _e( 'Show', IPSWB_SLUG ); ?></button>
                <button data-value="false" class="ipswb-btn-onoff<?php echo $cloff; ?> ipswb-btn-off" type="button"><?php _e( 'Hide', IPSWB_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipswb-onoff-value" name="slider_autoplay" value="<?php echo $val; ?>" />
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Determines whether to auto play the slider of swift boxes.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Pause on Hover
       *
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-slider-hover-pause"><?php _e( 'Pause on Hover', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipswb-onoff">
              <?php
              $val  = $this->setting->getSetting( 'slider_hover_pause', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipswb-btn-group">
                <button data-value="true" class="ipswb-btn-onoff<?php echo $clon; ?> ipswb-btn-on" type="button"><?php _e( 'Show', IPSWB_SLUG ); ?></button>
                <button data-value="false" class="ipswb-btn-onoff<?php echo $cloff; ?> ipswb-btn-off" type="button"><?php _e( 'Hide', IPSWB_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipswb-onoff-value" name="slider_hover_pause" value="<?php echo $val; ?>" />
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Determines whether to pause slider if mouse hover in swift box.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->
      *
      */
      ?>

      <?php
      /*
       * Resume slider closing expanded
       *

      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-slider-resume-closing"><?php _e( 'Resume Slider Closing Expanded', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipswb-onoff">
              <?php
              $val  = $this->setting->getSetting( 'slider_resume_closing', 'true' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipswb-btn-group">
                <button data-value="true" class="ipswb-btn-onoff<?php echo $clon; ?> ipswb-btn-on" type="button"><?php _e( 'Show', IPSWB_SLUG ); ?></button>
                <button data-value="false" class="ipswb-btn-onoff<?php echo $cloff; ?> ipswb-btn-off" type="button"><?php _e( 'Hide', IPSWB_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipswb-onoff-value" name="slider_resume_closing" value="<?php echo $val; ?>" />
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Determines whether to resume slider when closing expanded content.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      *
      */
      ?>

      <?php
      /*
       * Previous/Next Navigation
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-slider-direction"><?php _e( 'Previous/Next Navigation', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipswb-onoff ipswb-onoff-target" data-target="#ipswb-fields-direction">
              <?php
              $valDir  = $this->setting->getSetting( 'slider_direction', 'false' );
              if ( $valDir == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipswb-btn-group">
                <button data-value="true" class="ipswb-btn-onoff<?php echo $clon; ?> ipswb-btn-on" type="button"><?php _e( 'On', IPSWB_SLUG ); ?></button>
                <button data-value="false" class="ipswb-btn-onoff<?php echo $cloff; ?> ipswb-btn-off" type="button"><?php _e( 'Off', IPSWB_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipswb-onoff-value" name="slider_direction" value="<?php echo $valDir; ?>" />
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Determines whether to show or hide the previous/next navigation of the slider.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      /*
       * Paging Control
       */
      ?>
      <!-- start: .ipswb-field-row -->
      <div class="ipswb-field-row ipswb-field-x">
        <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-slider-paging"><?php _e( 'Paging Control', IPSWB_SLUG ); ?></label>
        </div>

        <!-- start: .ipswb-field -->
        <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipswb-onoff ipswb-onoff-target" data-target="#ipswb-fields-paging">
              <?php
              $valPaging  = $this->setting->getSetting( 'slider_paging', 'false' );
              if ( $valPaging == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipswb-btn-group">
                <button data-value="true" class="ipswb-btn-onoff<?php echo $clon; ?> ipswb-btn-on" type="button"><?php _e( 'On', IPSWB_SLUG ); ?></button>
                <button data-value="false" class="ipswb-btn-onoff<?php echo $cloff; ?> ipswb-btn-off" type="button"><?php _e( 'Off', IPSWB_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipswb-onoff-value" name="slider_paging" value="<?php echo $valPaging; ?>" />
          </div>

          <div class="ipswb-help">
            <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
            <div class="ipswb-help-content ipswb-hide">
              <?php _e( 'Determines whether to show or hide the paging control navigation of the slider.', IPSWB_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field -->
      </div>
      <!-- end: .ipswb-field-row -->

      <?php
      $dsp = ' style="display:none;"';
      if ( $valDir == 'true' ) {
        $dsp = '';
      }
      ?>
      <!-- start: #ipswb-fields-direction -->
      <div id="ipswb-fields-direction"<?php echo $dsp; ?>>

        <h4 class="ipswb-field-title mb0 py10">
          <?php _e( 'Previous/Next Navigation Styles', IPSWB_SLUG ); ?>
        </h4>

        <?php
        /*
         * Shape
         */
        ?>
        <!-- start: .ipswb-field-row -->
        <div class="ipswb-field-row ipswb-field-x">
          <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-slider-dir-shape"><?php _e( 'Shape', IPSWB_SLUG ); ?></label>
          </div>

          <!-- start: .ipswb-field -->
          <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
            <?php
            $shape   = $this->setting->getSetting( 'slider_dir_shape', 'circle' );
            $options = array(
                'circle'  => __( 'Circle', IPSWB_SLUG ),
                'square'  => __( 'Square', IPSWB_SLUG ),
                'icon'    => __( 'Icon', IPSWB_SLUG )
            );
            ?>
            <select name="slider_dir_shape" id="input-slider-dir-shape">
              <?php
              foreach( $options as $key => $label )
              {
                  $sltd = '';
                  if ( $key == $shape ) {
                      $sltd = ' selected="selected"';
                  }
                  echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
              }
              ?>
            </select>

            <div class="ipswb-help">
              <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
              <div class="ipswb-help-content ipswb-hide">
                <?php _e( 'Set the shape of the previous/next navigation.', IPSWB_SLUG ); ?>
              </div>
            </div>
          </div>
          <!-- end: .ipswb-field -->
        </div>
        <!-- end: .ipswb-field-row -->

        <?php
        //Size
        ?>
        <!-- start: .ipswb-field-row -->
        <div class="ipswb-field-row ipswb-field-x">
          <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-slider-dir-size"><?php _e( 'Size', IPSWB_SLUG ); ?></label>
          </div>
          <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

              <select name="slider_dir_size" id="input-slider-dir-size">
              <?php
              $current = stripslashes( $this->setting->getSetting( 'slider_dir_size', 'md' ));
              $styles  = array(
                  'sm'   => __( 'Small', IPSWB_SLUG ),
                  'md'   => __( 'Medium', IPSWB_SLUG ),
                  'lg'   => __( 'Large', IPSWB_SLUG )
              );
              foreach( $styles as $key => $label ) {
                  $sltd = '';
                  if ( $key == $current ) {
                      $sltd = ' selected="selected"';
                  }
                  echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
              }
              ?>
              </select>

              <div class="ipswb-help">
                <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
                  <div class="ipswb-help-content ipswb-hide">
                  <?php _e( 'Set size of the previous/next navigation.', IPSWB_SLUG ); ?>
                </div>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field-row -->

        <?php
        /*
         * Background Color
         */
        ?>
        <!-- start: .ipswb-field-row -->
        <div class="ipswb-field-row ipswb-field-x">
          <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-slider-dir-bgcolor">
              <?php _e( 'Background Color', IPSWB_SLUG ); ?>
            </label>
          </div>

          <!-- start: .ipswb-field -->
          <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

            <?php
            $color = stripslashes( $this->setting->getSetting( 'slider_dir_bgcolor', '#444444' ) );
            ?>
            <input type="text" class="ipswb-color-picker" id="input-slider-dir-bgcolor" name="slider_dir_bgcolor" value="<?php echo $color; ?>" />

            <div class="ipswb-help">
              <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
              <div class="ipswb-help-content ipswb-hide">
                <?php _e( 'Set the background color for the previous/next navigation.', IPSWB_SLUG ); ?>
              </div>
            </div>
          </div>
          <!-- end: .ipswb-field -->
        </div>
        <!-- end: .ipswb-field-row -->

        <?php
        /*
         * Icon Color
         */
        ?>
        <!-- start: .ipswb-field-row -->
        <div class="ipswb-field-row ipswb-field-x">
          <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-slider-dir-icon-color">
              <?php _e( 'Icon Color', IPSWB_SLUG ); ?>
            </label>
          </div>

          <!-- start: .ipswb-field -->
          <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

            <?php
            $color = stripslashes( $this->setting->getSetting( 'slider_dir_icon_color', '#222222' ) );
            ?>
            <input type="text" class="ipswb-color-picker" id="input-slider-dir-icon-color" name="slider_dir_icon_color" value="<?php echo $color; ?>" />

            <div class="ipswb-help">
              <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
              <div class="ipswb-help-content ipswb-hide">
                <?php _e( 'Set the icon color for the previous/next navigation.', IPSWB_SLUG ); ?>
              </div>
            </div>
          </div>
          <!-- end: .ipswb-field -->
        </div>
        <!-- end: .ipswb-field-row -->

        <?php
        /*
         * Border
         */
        ?>
        <!-- start: .ipswb-field-row -->
        <div class="ipswb-field-row ipswb-field-x">
          <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-slider-dir-border-width">
              <?php _e( 'Border', IPSWB_SLUG ); ?>
            </label>
          </div>

          <!-- start: .ipswb-field -->
          <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

            <?php
            $color = stripslashes( $this->setting->getSetting( 'slider_dir_border_color', '#333333' ) );
            $bowidth = $this->setting->getSetting( 'slider_dir_border_width', 1 );
            ?>
            <div class="ipswb-input-group mr5">
              <input type="text" id="input-slider-dir-border-width" class="ipswb-input ipswb-input-xxs" name="slider_dir_border_width" value="<?php echo $bowidth; ?>">
              <div class="ipswb-input-addon">px</div>
            </div>
            <input type="text" class="ipswb-color-picker" id="input-slider-dir-border-color" name="slider_dir_border_color" value="<?php echo $color; ?>" />

            <div class="ipswb-help">
              <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
              <div class="ipswb-help-content ipswb-hide">
                <?php _e( 'Add border in the previous/next navigation.', IPSWB_SLUG ); ?>
              </div>
            </div>
          </div>
          <!-- end: .ipswb-field -->
        </div>
        <!-- end: .ipswb-field-row -->

      </div>
      <!-- end: #ipswb-fields-direction -->

      <?php
      $dsp = ' style="display:none;"';
      if ( $valPaging == 'true' ) {
        $dsp = '';
      }
      ?>
      <!-- start: #ipswb-fields-paging -->
      <div id="ipswb-fields-paging"<?php echo $dsp; ?>>

        <h4 class="ipswb-field-title mb0 py10">
          <?php _e( 'Paging Control Styles', IPSWB_SLUG ); ?>
        </h4>

        <?php
        /*
         * Shape
         */
        ?>
        <!-- start: .ipswb-field-row -->
        <div class="ipswb-field-row ipswb-field-x">
          <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-paging-shape"><?php _e( 'Shape', IPSWB_SLUG ); ?></label>
          </div>

          <!-- start: .ipswb-field -->
          <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">
            <?php
            $shape   = $this->setting->getSetting( 'paging_shape', 'circle' );
            $options = array(
                'circle'  => __( 'Circle', IPSWB_SLUG ),
                'square'  => __( 'Square', IPSWB_SLUG )
            );
            ?>
            <select name="paging_shape" id="input-paging-shape">
              <?php
              foreach( $options as $key => $label )
              {
                  $sltd = '';
                  if ( $key == $shape ) {
                      $sltd = ' selected="selected"';
                  }
                  echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
              }
              ?>
            </select>

            <div class="ipswb-help">
              <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
              <div class="ipswb-help-content ipswb-hide">
                <?php _e( 'Set the position of the content detail popup.', IPSWB_SLUG ); ?>
              </div>
            </div>
          </div>
          <!-- end: .ipswb-field -->
        </div>
        <!-- end: .ipswb-field-row -->

        <?php
        //Size
        ?>
        <!-- start: .ipswb-field-row -->
        <div class="ipswb-field-row ipswb-field-x">
          <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-paging-size"><?php _e( 'Size', IPSWB_SLUG ); ?></label>
          </div>
          <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

              <select name="paging_size" id="input-paging-size">
              <?php
              $current = stripslashes( $this->setting->getSetting( 'paging_size', 'md' ));
              $styles  = array(
                  'sm'   => __( 'Small', IPSWB_SLUG ),
                  'md'   => __( 'Medium', IPSWB_SLUG ),
                  'lg'   => __( 'Large', IPSWB_SLUG )
              );
              foreach( $styles as $key => $label ) {
                  $sltd = '';
                  if ( $key == $current ) {
                      $sltd = ' selected="selected"';
                  }
                  echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
              }
              ?>
              </select>

              <div class="ipswb-help">
                <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
                  <div class="ipswb-help-content ipswb-hide">
                  <?php _e( 'Set size of the paging control.', IPSWB_SLUG ); ?>
                </div>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field-row -->

        <?php
        //Alignment
        ?>
        <!-- start: .ipswb-field-row -->
        <div class="ipswb-field-row ipswb-field-x">
          <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-paging-align"><?php _e( 'Alignment', IPSWB_SLUG ); ?></label>
          </div>
          <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

              <select name="paging_align" id="input-paging-align">
              <?php
              $current = stripslashes( $this->setting->getSetting( 'paging_align', 'left' ));
              $styles  = array(
                  'left'   => __( 'Left', IPSWB_SLUG ),
                  'center' => __( 'Center', IPSWB_SLUG )
              );
              foreach( $styles as $key => $label ) {
                  $sltd = '';
                  if ( $key == $current ) {
                      $sltd = ' selected="selected"';
                  }
                  echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
              }
              ?>
              </select>

              <div class="ipswb-help">
                <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
                  <div class="ipswb-help-content ipswb-hide">
                  <?php _e( 'Set size of the paging control.', IPSWB_SLUG ); ?>
                </div>
            </div>
          </div>
        </div>
        <!-- end: .ipswb-field-row -->

        <?php
        /*
         * Background Color
         */
        ?>
        <!-- start: .ipswb-field-row -->
        <div class="ipswb-field-row ipswb-field-x">
          <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-paging-bgcolor">
              <?php _e( 'Background Color', IPSWB_SLUG ); ?>
            </label>
          </div>

          <!-- start: .ipswb-field -->
          <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

            <?php
            $color = stripslashes( $this->setting->getSetting( 'paging_bgcolor', '#444444' ) );
            ?>
            <input type="text" class="ipswb-color-picker" id="input-paging-bgcolor" name="paging_bgcolor" value="<?php echo $color; ?>" />

            <div class="ipswb-help">
              <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
              <div class="ipswb-help-content ipswb-hide">
                <?php _e( 'Set the background color for the paging control.', IPSWB_SLUG ); ?>
              </div>
            </div>
          </div>
          <!-- end: .ipswb-field -->
        </div>
        <!-- end: .ipswb-field-row -->

        <?php
        /*
         * Active Background Color
         */
        ?>
        <!-- start: .ipswb-field-row -->
        <div class="ipswb-field-row ipswb-field-x">
          <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-paging-active-bgcolor">
              <?php _e( 'Active Background Color', IPSWB_SLUG ); ?>
            </label>
          </div>

          <!-- start: .ipswb-field -->
          <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

            <?php
            $color = stripslashes( $this->setting->getSetting( 'paging_active_bgcolor', '#222222' ) );
            ?>
            <input type="text" class="ipswb-color-picker" id="input-paging-active-bgcolor" name="paging_active_bgcolor" value="<?php echo $color; ?>" />

            <div class="ipswb-help">
              <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
              <div class="ipswb-help-content ipswb-hide">
                <?php _e( 'Set the background color for the active paging control.', IPSWB_SLUG ); ?>
              </div>
            </div>
          </div>
          <!-- end: .ipswb-field -->
        </div>
        <!-- end: .ipswb-field-row -->

        <?php
        /*
         * Border
         */
        ?>
        <!-- start: .ipswb-field-row -->
        <div class="ipswb-field-row ipswb-field-x">
          <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-paging-border">
              <?php _e( 'Border', IPSWB_SLUG ); ?>
            </label>
          </div>

          <!-- start: .ipswb-field -->
          <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

            <?php
            $color = stripslashes( $this->setting->getSetting( 'paging_border_color', '#333333' ) );
            $bowidth = $this->setting->getSetting( 'paging_border_width', 1 );
            ?>
            <div class="ipswb-input-group mr5">
              <input type="text" id="input-paging-border-width" class="ipswb-input ipswb-input-xxs" name="paging_border_width" value="<?php echo $bowidth; ?>">
              <div class="ipswb-input-addon">px</div>
            </div>
            <input type="text" class="ipswb-color-picker" id="input-paging-border-color" name="paging_border_color" value="<?php echo $color; ?>" />

            <div class="ipswb-help">
              <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
              <div class="ipswb-help-content ipswb-hide">
                <?php _e( 'Add border in the paging control.', IPSWB_SLUG ); ?>
              </div>
            </div>
          </div>
          <!-- end: .ipswb-field -->
        </div>
        <!-- end: .ipswb-field-row -->

        <?php
        /*
         * Border
         */
        ?>
        <!-- start: .ipswb-field-row -->
        <div class="ipswb-field-row ipswb-field-x">
          <div class="ipswb-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-paging-active-border-color">
              <?php _e( 'Border Active Color', IPSWB_SLUG ); ?>
            </label>
          </div>

          <!-- start: .ipswb-field -->
          <div class="ipswb-field col-lg-9 col-md-8 col-sm-12">

            <?php
            $color = stripslashes( $this->setting->getSetting( 'paging_active_border_color', '#2b2b2b' ) );
            ?>
            <input type="text" class="ipswb-color-picker" id="input-paging-active-border-color" name="paging_active_border_color" value="<?php echo $color; ?>" />

            <div class="ipswb-help">
              <a class="ipswb-btn-help ipswb-btn ipswb-btn-default" href="#"><i class="ipswb-fa ipswb-fa-question"></i></a>
              <div class="ipswb-help-content ipswb-hide">
                <?php _e( 'Add border in the paging control.', IPSWB_SLUG ); ?>
              </div>
            </div>
          </div>
          <!-- end: .ipswb-field -->
        </div>
        <!-- end: .ipswb-field-row -->

      </div>
      <!-- end: #ipswb-fields-paging -->

    </div>
    <!-- end: .ipswb-fields -->

  </div>
</div>
