<?php
/**
 * Widget view
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$sett  = $this->setting;
$style = $this->styleSetting;

$mainClass  = 'ipswb-slideshow';
$mainClass .= ' ipswb-slideshow-' . $this->slide->ID;
//Block setting class
if ( $radius = $style->getSetting( 'block_border_radius' )) {
    $mainClass .= ' ipswb-block-radius-' . $radius;
}
if ( $style->getSetting( 'block_shadow', 'false' ) == 'true' ) {
    $mainClass .= ' ipswb-block-shadow-on';
} else {
    $mainClass .= ' ipswb-block-shadow-off';
}
//Box setting class
if ( $radius = $style->getSetting( 'box_border_radius' )) {
    $mainClass .= ' ipswb-box-radius-' . $radius;
}
if ( $style->getSetting( 'box_shadow', 'false' ) == 'true' ) {
    $mainClass .= ' ipswb-box-shadow-on';
} else {
    $mainClass .= ' ipswb-box-shadow-off';
}
$mainClass .= ' ipswb-slideshow-' . $style->getSetting( 'slideshow_layout', 'horizontal' );
$mainClass .= ' ipswb-detail-' . $style->getSetting( 'content_detail_position', 'relative' );
$mainClass .= ' ipswb-slider-paging-' . $style->getSetting( 'paging_size', 'md' );
$mainClass .= ' ipswb-slider-dir-' . $style->getSetting( 'slider_dir_size', 'md' );
$mainClass .= ' ipswb-slider-paging-' . $style->getSetting( 'paging_shape', 'circle' );
$mainClass .= ' ipswb-slider-dir-' . $style->getSetting( 'slider_dir_shape', 'circle' );
$mainClass .= ' ipswb-slider-paging-' . $style->getSetting( 'paging_align', 'left' );
?>

<?php
//Include style if needed
//
if ( ! $this->checkStyle( $this->slide )) {
  $this->view( 'front/main/styles' );
}
?>

<!-- start: .ipswb-slideshow -->
<div data-id="<?php echo $this->slide->ID; ?>" class="<?php echo $mainClass; ?>">
  <!-- start: .ipswb-slide-wrapper -->
  <div class="ipswb-slide-wrapper">
    <!-- start .ipswb-slide-inner -->
    <div class="ipswb-slide-inner">

      <?php
      $this->view( 'front/main/slides' );
      ?>

    </div>
    <!-- end .ipswb-slide-inner -->
  </div>
  <!-- end: .ipswb-slide-wrapper -->

  <?php
  $this->view( 'front/main/settings' );
  ?>
  <div class="ipswb-slide-background"></div>

  <?php
  //Include style if needed
  //
  if ( $style->getSetting( 'content_detail_position', 'relative' ) == 'relative' )
  {
    echo '<div class="ipswb-slideshow-inner-modals">';

    if ( ! empty( $this->boxes )) 
    {
      foreach( $this->boxes as $box ) 
      {
        $this->box = $box;
        $this->boxSetting = new IPSwb_Setting( $box->ID, '__ipswb_box_setting' );

        $this->view( 'front/main/box-detail' );
      }
    }
    echo '</div>';
  }
  ?>
</div>
<!-- end: .ipswb-slideshow -->


<?php
//Include modal if needed
//
if ( ! $this->checkModal( $this->slide )) 
{
  echo '<div id="ipswb-slideshow-modals-' . $this->slide->ID .'" class="ipswb-slideshow-modals">';

  if ( ! empty( $this->boxes )) 
  {
    foreach( $this->boxes as $box ) 
    {
      $this->box = $box;
      $this->boxSetting = new IPSwb_Setting( $box->ID, '__ipswb_box_setting' );

      $this->view( 'front/main/media-detail' );

      if ( $style->getSetting( 'content_detail_position', 'relative' ) == 'fixed' ) {
        $this->view( 'front/main/box-detail' );
      }
    }
  }
  echo '</div>';
}
?>
