<?php
/**
 * Box footer item
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! isset( $this->box ) || empty( $this->box )) {
	return false;
}
$style = $this->styleSetting;
$boxSt = $this->boxSetting;
if ( $style->getSetting( 'show_footer', 'true' ) == 'false' ) {
	return;
}
?>

<!-- start: .ipswb-box-footer -->
<div class="ipswb-box-footer">
	<div class="ipswb-box-footer-inner ipswb-clearfix">

		<?php 
		//Date info
		if ( $style->getSetting( 'show_footer_date_info', 'true' ) == 'true' ) :
		?>
		<div class="ipswb-box-footer-date">
			<?php 
			echo $boxSt->getSetting( 'box_date_info' );
			?>
		</div>
		<?php
		endif;
		?>

		<!-- start: .ipswb-box-actions -->
		<div class="ipswb-box-actions">
			<div class="ipswb-clearfix">

				<?php 
				//Button media
				$btnDetail = $style->getSetting( 'show_footer_button_media', 'true' );
				$mediaType = $boxSt->getSetting( 'media_type', 'video' );
				$videoUrl  = $boxSt->getSetting( 'youtube_url' );
				if ( $btnDetail == 'true' && $mediaType == 'video' && ! empty( $videoUrl ) ) :
				?>
				<div class="ipswb-box-action ipswb-action-media">
					<a href="<?php echo $videoUrl; ?>" data-id="<?php echo $this->box->ID; ?>" class="ipswb-action-link" target="_blank">
						<i class="ipswb-fa ipswb-fa-play"></i>
					</a>
				</div>
				<?php
				endif;
				?>

				<?php 
				//Button share
				if ( $style->getSetting( 'show_footer_share', 'true' ) == 'true' ) :
				?>
				<div class="ipswb-box-action ipswb-action-share">
					<a href="#" data-id="<?php echo $this->box->ID; ?>" class="ipswb-action-link">
						<i class="ipswb-fa ipswb-fa-share-alt"></i>
					</a>

					<!-- start: .ipswb-action-submenu -->
					<div class="ipswb-action-submenu">
						<ul>
							<?php
							//
							//Facebook
							$link = $this->getShareLink( 'facebook', $this->box );
							if ( $style->getSetting( 'share_facebook', 'true' ) == 'true' ) :
							?>
							<li>
								<a class="ipswb-share-facebook ipswb-share-link" href="<?php echo $link; ?>">
									<i class="ipswb-fa ipswb-fa-facebook"></i>
								</a>
							</li>
							<?php
							endif;
							//
							//Twitter
							$link = $this->getShareLink( 'twitter', $this->box );
							if ( $style->getSetting( 'share_twitter', 'true' ) == 'true' ) :
							?>
							<li>
								<a class="ipswb-share-twitter ipswb-share-link" href="<?php echo $link; ?>">
									<i class="ipswb-fa ipswb-fa-twitter"></i>
								</a>
							</li>
							<?php
							endif;
							//
							//Google plus
							$link = $this->getShareLink( 'googleplus', $this->box );
							if ( $style->getSetting( 'share_googleplus', 'true' ) == 'true' ) :
							?>
							<li>
								<a class="ipswb-share-googleplus ipswb-share-link" href="<?php echo $link; ?>">
									<i class="ipswb-fa ipswb-fa-google-plus"></i>
								</a>
							</li>
							<?php
							endif;
							//
							//Linkedin
							$link = $this->getShareLink( 'linkedin', $this->box );
							if ( $style->getSetting( 'share_linkedin', 'true' ) == 'true' ) :
							?>
							<li>
								<a class="ipswb-share-linkedin ipswb-share-link" href="<?php echo $link; ?>">
									<i class="ipswb-fa ipswb-fa-linkedin"></i>
								</a>
							</li>
							<?php
							endif;
							//
							//Tumblr
							$link = $this->getShareLink( 'tumblr', $this->box );
							if ( $style->getSetting( 'share_tumblr', 'true' ) == 'true' ) :
							?>
							<li>
								<a class="ipswb-share-tumblr ipswb-share-link" href="<?php echo $link; ?>">
									<i class="ipswb-fa ipswb-fa-tumblr"></i>
								</a>
							</li>
							<?php
							endif;
							//
							//Stumbleupon
							$link = $this->getShareLink( 'stumbleupon', $this->box );
							if ( $style->getSetting( 'share_stumbleupon', 'true' ) == 'true' ) :
							?>
							<li>
								<a class="ipswb-share-stumbleupon ipswb-share-link" href="<?php echo $link; ?>">
									<i class="ipswb-fa ipswb-fa-stumbleupon"></i>
								</a>
							</li>
							<?php
							endif;
							?>
						</ul>
					</div>
					<!-- end: .ipswb-action-submenu -->
				</div>
				<?php
				endif;
				?>

				<?php 
				//Button detail
				if ( $style->getSetting( 'show_footer_button_detail', 'true' ) == 'true' ) :
				?>
				<div class="ipswb-box-action ipswb-action-detail">
					<a href="#ipswb-box-detail-<?php echo $this->box->ID; ?>" data-id="<?php echo $this->box->ID; ?>" class="ipswb-action-link">
						<i class="ipswb-fa ipswb-fa-plus"></i>
					</a>
				</div>
				<?php
				endif;
				?>

			</div>
		</div>
		<!-- end: .ipswb-box-actions -->

	</div>
</div>
<!-- end: .ipswb-box-footer -->