<?php
/**
 * Box footer style
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$style = $this->styleSetting;

$height  = $style->getSetting( 'footer_height', 48 );
$bgcolor = $style->getSetting( 'footer_background_color', '#dddddd' );
$bowidth = $style->getSetting( 'footer_top_border_width' );
$bocolor = $style->getSetting( 'footer_top_border_color', '#dddddd' );
//
//Font
$color    = $style->getSetting( 'footer_text_color', '#333333' );
$fsize    = $style->getSetting( 'footer_font_size', 16 );
$font_opt = $style->getSetting( 'footer_font_family', 'roboto' );
$family   = IPSwb_Font::getFamily( $font_opt );
?>

.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-footer,
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-detail-footer,
#ipswb-slideshow-modals-<?php echo $this->slide->ID; ?> .ipswb-box-detail-footer
{
  color: <?php echo $color; ?>;
  font-family: <?php echo $family; ?>;
  font-size: <?php echo $fsize; ?>px;
  <?php
  if ( $bowidth ) {
    echo 'border-top:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-footer-inner,
#ipswb-slideshow-modals-<?php echo $this->slide->ID; ?> .ipswb-box-footer-inner
{
  height: <?php echo $height; ?>px;
  line-height: <?php echo $height; ?>px;
  background-color: <?php echo $bgcolor; ?>;
}
<?php
$bgcolor = $style->getSetting( 'button_action_bgcolor', '#dddddd' );
$color   = $style->getSetting( 'button_action_color', '#333333' );
$hcolor  = $style->getSetting( 'button_action_hover_color', '#000000' );
$bowidth = $style->getSetting( 'button_action_border_width', 0 );
$bocolor = $style->getSetting( 'button_action_border_color', '#cccccc' );
?>
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-action>a,
#ipswb-slideshow-modals-<?php echo $this->slide->ID; ?> .ipswb-box-action>a
{
  height: <?php echo $height; ?>px;
  width: <?php echo $height; ?>px;
  color: <?php echo $color; ?>;
  background-color: <?php echo $bgcolor; ?>;
  <?php
  if ( $bowidth ) {
    echo 'border-left:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-box-action>a:hover,
#ipswb-slideshow-modals-<?php echo $this->slide->ID; ?> .ipswb-box-action>a:hover
{
  background-color: <?php echo $hcolor; ?>;
}
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-action-submenu,
#ipswb-slideshow-modals-<?php echo $this->slide->ID; ?> .ipswb-action-submenu
{
  width: <?php echo $height; ?>px;
  bottom: <?php echo ($height+5); ?>px;
  background-color: <?php echo $bgcolor; ?>;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-action-submenu a,
#ipswb-slideshow-modals-<?php echo $this->slide->ID; ?> .ipswb-action-submenu a
{
  height: <?php echo $height; ?>px;
  line-height: <?php echo $height; ?>px;
  background-color: <?php echo $bgcolor; ?>;
  color: <?php echo $color; ?>;
  <?php
  if ( $bowidth ) {
    echo 'border-bottom:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}
.ipswb-slideshow-<?php echo $this->slide->ID; ?> .ipswb-action-submenu a:hover,
#ipswb-slideshow-modals-<?php echo $this->slide->ID; ?> .ipswb-action-submenu a:hover
{
  background-color: <?php echo $hcolor; ?>;
}