<?php
/**
 * Review page head view
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st   = $this->setting;
$desc = $this->page->post_excerpt;
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $this->pageTitle; ?></title>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <meta name="description" content="<?php echo stripslashes( $desc ); ?>">
    <meta name="keywords" content="">

    <meta property="og:title" content="<?php echo $this->pageTitle; ?>">
    <meta property="og:description" content="<?php echo stripslashes( $desc ); ?>">
    <meta property="og:type" content="article">
    <meta property="og:url" content="<?php echo $this->permalink; ?>">

    <?php
    //Set google font
    $fonts = array( 'roboto' );

    $fonts[] = $this->styleSetting->getSetting( 'title_font_family', 'roboto' );
    $fonts[] = $this->styleSetting->getSetting( 'desc_font_family', 'roboto' );
    $fonts[] = $this->styleSetting->getSetting( 'footer_font_family', 'roboto' );

    $fonts = array_unique( $fonts );
    $fams  = array();
  
    $links = IPSwb_Font::getLinks();
    foreach( $fonts as $font ) 
    {
    if ( array_key_exists( $font, $links )) 
    {
      $fams[] = $links[$font];
    }
    }
    $families = implode( '|', $fams );

    $fontUrl = 'http://fonts.googleapis.com/css?family=' . $families;
    echo '<link id="ipswb-font" href="' . $fontUrl . '" rel="stylesheet" type="text/css">';
    ?>

    <!-- Css -->
    <link rel="stylesheet" href="<?php echo $this->cssurl; ?>public-page.min.css" type="text/css" media="all" />

    <!-- JQuery -->
    <script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>

    <script>
      var page_id        = '<?php echo $this->page->ID; ?>';
      var ipswb_ajaxurl  = "<?php echo admin_url( 'admin-ajax.php' ); ?>";
      var ipswb_img_url  = '<?php echo IPSWB_BASE_URL . 'assets/img/'; ?>';
    </script>

</head>
