<?php
/**
 * Box content style
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$style = $this->styleSetting;

$padding  = $style->getSetting( 'content_padding', 15 );
//
//Title
$color    = $style->getSetting( 'title_text_color', '#333333' );
$fsize    = $style->getSetting( 'title_font_size', 16 );
$font_opt = $style->getSetting( 'title_font_family', 'roboto' );
$family   = IPSwb_Font::getFamily( $font_opt );
?>

.ipswb-page .ipswb-box-content,
.ipswb-page .ipswb-box-detail .ipswb-box-detail-content
{
  padding: <?php echo $padding; ?>px;
}

.ipswb-page .ipswb-box-content .ipswb-box-title,
.ipswb-page .ipswb-box-detail .ipswb-box-title
{
  color: <?php echo $color; ?>;
  font-family: <?php echo $family; ?>;
  font-size: <?php echo $fsize; ?>px;
}

<?php
//
//Description
$color    = $style->getSetting( 'desc_text_color', '#333333' );
$fsize    = $style->getSetting( 'desc_font_size', 16 );
$font_opt = $style->getSetting( 'desc_font_family', 'roboto' );
$family   = IPSwb_Font::getFamily( $font_opt );
?>
.ipswb-page .ipswb-box-content .ipswb-box-desc,
.ipswb-page .ipswb-box-detail .ipswb-box-desc
{
  color: <?php echo $color; ?>;
  font-family: <?php echo $family; ?>;
  font-size: <?php echo $fsize; ?>px;
}

<?php
//Content detail
$bgcolor  = $style->getSetting( 'content_detail_bgcolor', '#ffffff' );
$obgcolor = $style->getSetting( 'content_detail_overlay_color', '#000000' );
$_obgopa  = $style->getSetting( 'content_detail_overlay_opacity', 20 );
$icolor   = $style->getSetting( 'content_detail_close_color', '#dddddd' );
$bocolor  = $style->getSetting( 'content_detail_border_color', '#111111' );
$bowidth  = $style->getSetting( 'content_detail_border_width' );

$obgopa   = 1 - $_obgopa/100;
?>

.ipswb-page .ipswb-box-detail .ipswb-box-detail-main
{
  background-color: <?php echo $bgcolor; ?>;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}
.ipswb-page .ipswb-box-detail .ipswb-overlay
{
  background-color: <?php echo $obgcolor; ?>;
  opacity: <?php echo $obgopa; ?>;
}
.ipswb-page .ipswb-box-detail .ipswb-box-detail-close
{
  display:none;
}